/* Job.c generated by valac 0.36.3, the Vala compiler
 * generated from Job.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <cups/cups.h>
#include <cups/ipp.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <time.h>
#include <glib/gi18n-lib.h>


#define PRINTERS_TYPE_JOB (printers_job_get_type ())
#define PRINTERS_JOB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_JOB, PrintersJob))
#define PRINTERS_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_JOB, PrintersJobClass))
#define PRINTERS_IS_JOB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_JOB))
#define PRINTERS_IS_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_JOB))
#define PRINTERS_JOB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_JOB, PrintersJobClass))

typedef struct _PrintersJob PrintersJob;
typedef struct _PrintersJobClass PrintersJobClass;
typedef struct _PrintersJobPrivate PrintersJobPrivate;

#define PRINTERS_TYPE_PRINTER (printers_printer_get_type ())
#define PRINTERS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinter))
#define PRINTERS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))
#define PRINTERS_IS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_PRINTER))
#define PRINTERS_IS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_PRINTER))
#define PRINTERS_PRINTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))

typedef struct _PrintersPrinter PrintersPrinter;
typedef struct _PrintersPrinterClass PrintersPrinterClass;

#define CUPS_TYPE_NOTIFIER (cups_notifier_get_type ())
#define CUPS_NOTIFIER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CUPS_TYPE_NOTIFIER, CupsNotifier))
#define CUPS_NOTIFIER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), CUPS_TYPE_NOTIFIER, CupsNotifierClass))
#define CUPS_IS_NOTIFIER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CUPS_TYPE_NOTIFIER))
#define CUPS_IS_NOTIFIER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CUPS_TYPE_NOTIFIER))
#define CUPS_NOTIFIER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), CUPS_TYPE_NOTIFIER, CupsNotifierClass))

typedef struct _CupsNotifier CupsNotifier;
typedef struct _CupsNotifierClass CupsNotifierClass;

#define CUPS_TYPE_PK_HELPER (cups_pk_helper_get_type ())
#define CUPS_PK_HELPER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CUPS_TYPE_PK_HELPER, CupsPkHelper))
#define CUPS_IS_PK_HELPER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CUPS_TYPE_PK_HELPER))
#define CUPS_PK_HELPER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), CUPS_TYPE_PK_HELPER, CupsPkHelperIface))

typedef struct _CupsPkHelper CupsPkHelper;
typedef struct _CupsPkHelperIface CupsPkHelperIface;

#define CUPS_TYPE_PK_HELPER_PROXY (cups_pk_helper_proxy_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _ippDelete0(var) ((var == NULL) ? NULL : (var = (ippDelete (var), NULL)))
enum  {
	PRINTERS_JOB_STOPPED_SIGNAL,
	PRINTERS_JOB_COMPLETED_SIGNAL,
	PRINTERS_JOB_STATE_CHANGED_SIGNAL,
	PRINTERS_JOB_LAST_SIGNAL
};
static guint printers_job_signals[PRINTERS_JOB_LAST_SIGNAL] = {0};

struct _PrintersJob {
	GObject parent_instance;
	PrintersJobPrivate * priv;
	cups_job_t cjob;
};

struct _PrintersJobClass {
	GObjectClass parent_class;
};

struct _PrintersJobPrivate {
	PrintersPrinter* printer;
	gint uid;
};

struct _CupsPkHelperIface {
	GTypeInterface parent_iface;
	gchar* (*file_get) (CupsPkHelper* self, const gchar* resource, const gchar* filename, GError** error);
	gchar* (*file_put) (CupsPkHelper* self, const gchar* resource, const gchar* filename, GError** error);
	void (*server_get_settings) (CupsPkHelper* self, gchar* * _error_, GHashTable* * settings, GError** error);
	gchar* (*server_set_settings) (CupsPkHelper* self, GHashTable* settings, GError** error);
	void (*devices_get) (CupsPkHelper* self, gint timeout, gint limit, gchar** include_schemes, int include_schemes_length1, gchar** exclude_schemes, int exclude_schemes_length1, gchar* * _error_, GHashTable* * devices, GError** error);
	gchar* (*printer_add) (CupsPkHelper* self, const gchar* name, const gchar* uri, const gchar* ppd, const gchar* info, const gchar* location, GError** error);
	gchar* (*printer_add_with_ppd_file) (CupsPkHelper* self, const gchar* name, const gchar* uri, const gchar* ppd, const gchar* info, const gchar* location, GError** error);
	gchar* (*printer_set_device) (CupsPkHelper* self, const gchar* name, const gchar* device, GError** error);
	gchar* (*printer_set_default) (CupsPkHelper* self, const gchar* name, GError** error);
	gchar* (*printer_set_enabled) (CupsPkHelper* self, const gchar* name, gboolean enabled, GError** error);
	gchar* (*printer_set_accept_jobs) (CupsPkHelper* self, const gchar* name, gboolean enabled, const gchar* reason, GError** error);
	gchar* (*printer_delete) (CupsPkHelper* self, const gchar* name, GError** error);
	gchar* (*class_add_printer) (CupsPkHelper* self, const gchar* name, const gchar* printer, GError** error);
	gchar* (*class_delete_printer) (CupsPkHelper* self, const gchar* name, const gchar* printer, GError** error);
	gchar* (*class_delete) (CupsPkHelper* self, const gchar* name, GError** error);
	gchar* (*printer_set_info) (CupsPkHelper* self, const gchar* name, const gchar* info, GError** error);
	gchar* (*printer_set_location) (CupsPkHelper* self, const gchar* name, const gchar* location, GError** error);
	gchar* (*printer_set_shared) (CupsPkHelper* self, const gchar* name, gboolean shared, GError** error);
	gchar* (*printer_set_job_sheets) (CupsPkHelper* self, const gchar* name, const gchar* start, const gchar* end, GError** error);
	gchar* (*printer_set_error_policy) (CupsPkHelper* self, const gchar* name, const gchar* policy, GError** error);
	gchar* (*printer_set_op_policy) (CupsPkHelper* self, const gchar* name, const gchar* policy, GError** error);
	gchar* (*printer_set_users_allowed) (CupsPkHelper* self, const gchar* name, gchar** users, int users_length1, GError** error);
	gchar* (*printer_set_users_denied) (CupsPkHelper* self, const gchar* name, gchar** users, int users_length1, GError** error);
	gchar* (*printer_add_option_default) (CupsPkHelper* self, const gchar* name, const gchar* option, gchar** values, int values_length1, GError** error);
	gchar* (*printer_delete_option_default) (CupsPkHelper* self, const gchar* name, const gchar* option, GError** error);
	gchar* (*printer_add_option) (CupsPkHelper* self, const gchar* name, const gchar* option, gchar** values, int values_length1, GError** error);
	gchar* (*job_cancel_purge) (CupsPkHelper* self, gint jobid, gboolean purge, GError** error);
	gchar* (*job_restart) (CupsPkHelper* self, gint jobid, GError** error);
	gchar* (*job_set_hold_until) (CupsPkHelper* self, gint jobid, const gchar* job_hold_until, GError** error);
};


static gpointer printers_job_parent_class = NULL;

GType printers_job_get_type (void) G_GNUC_CONST;
GType printers_printer_get_type (void) G_GNUC_CONST;
#define PRINTERS_JOB_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PRINTERS_TYPE_JOB, PrintersJobPrivate))
enum  {
	PRINTERS_JOB_DUMMY_PROPERTY
};
PrintersJob* printers_job_new (cups_job_t* cjob, PrintersPrinter* printer);
PrintersJob* printers_job_construct (GType object_type, cups_job_t* cjob, PrintersPrinter* printer);
GType cups_notifier_get_type (void) G_GNUC_CONST;
CupsNotifier* cups_notifier_get_default (void);
static void ___lambda20_ (PrintersJob* self, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed);
static void ____lambda20__cups_notifier_job_completed (CupsNotifier* _sender, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed, gpointer self);
static void ___lambda21_ (PrintersJob* self, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed);
static void ____lambda21__cups_notifier_job_stopped (CupsNotifier* _sender, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed, gpointer self);
static void ___lambda22_ (PrintersJob* self, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed);
static void ____lambda22__cups_notifier_job_state_changed (CupsNotifier* _sender, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed, gpointer self);
void printers_job_pause (PrintersJob* self);
GType cups_pk_helper_proxy_get_type (void) G_GNUC_CONST;
guint cups_pk_helper_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType cups_pk_helper_get_type (void) G_GNUC_CONST;
CupsPkHelper* cups_get_pk_helper (void);
gchar* cups_pk_helper_job_set_hold_until (CupsPkHelper* self, gint jobid, const gchar* job_hold_until, GError** error);
void printers_job_stop (PrintersJob* self);
gchar* cups_pk_helper_job_cancel_purge (CupsPkHelper* self, gint jobid, gboolean purge, GError** error);
void printers_job_resume (PrintersJob* self);
GDateTime* printers_job_get_used_time (PrintersJob* self);
gchar* printers_job_translated_job_state (PrintersJob* self);
GIcon* printers_job_state_icon (PrintersJob* self);
GIcon* printers_job_get_file_icon (PrintersJob* self);
gchar* printers_job_get_hold_until (PrintersJob* self);
static void printers_job_finalize (GObject * obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static void ___lambda20_ (PrintersJob* self, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed) {
	guint32 _tmp0_;
	gint _tmp1_;
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (text != NULL);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (printer_uri != NULL);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (name != NULL);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (state_reasons != NULL);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (job_state_reason != NULL);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (job_name != NULL);
#line 39 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = job_id;
#line 39 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = self->priv->uid;
#line 39 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp0_ == ((guint32) _tmp1_)) {
#line 40 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_signal_emit (self, printers_job_signals[PRINTERS_JOB_COMPLETED_SIGNAL], 0);
#line 199 "Job.c"
	}
}


static void ____lambda20__cups_notifier_job_completed (CupsNotifier* _sender, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed, gpointer self) {
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	___lambda20_ ((PrintersJob*) self, text, printer_uri, name, state, state_reasons, is_accepting_jobs, job_id, job_state, job_state_reason, job_name, job_impressions_completed);
#line 207 "Job.c"
}


static void ___lambda21_ (PrintersJob* self, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed) {
	guint32 _tmp0_;
	gint _tmp1_;
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (text != NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (printer_uri != NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (name != NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (state_reasons != NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (job_state_reason != NULL);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (job_name != NULL);
#line 45 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = job_id;
#line 45 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = self->priv->uid;
#line 45 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp0_ == ((guint32) _tmp1_)) {
#line 46 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_signal_emit (self, printers_job_signals[PRINTERS_JOB_STOPPED_SIGNAL], 0);
#line 234 "Job.c"
	}
}


static void ____lambda21__cups_notifier_job_stopped (CupsNotifier* _sender, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed, gpointer self) {
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	___lambda21_ ((PrintersJob*) self, text, printer_uri, name, state, state_reasons, is_accepting_jobs, job_id, job_state, job_state_reason, job_name, job_impressions_completed);
#line 242 "Job.c"
}


static void ___lambda22_ (PrintersJob* self, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed) {
	guint32 _tmp0_;
	gint _tmp1_;
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (text != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (printer_uri != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (name != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (state_reasons != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (job_state_reason != NULL);
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (job_name != NULL);
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = job_id;
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = self->priv->uid;
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp0_ == ((guint32) _tmp1_)) {
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_signal_emit (self, printers_job_signals[PRINTERS_JOB_STATE_CHANGED_SIGNAL], 0);
#line 269 "Job.c"
	}
}


static void ____lambda22__cups_notifier_job_state_changed (CupsNotifier* _sender, const gchar* text, const gchar* printer_uri, const gchar* name, guint32 state, const gchar* state_reasons, gboolean is_accepting_jobs, guint32 job_id, guint32 job_state, const gchar* job_state_reason, const gchar* job_name, guint32 job_impressions_completed, gpointer self) {
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	___lambda22_ ((PrintersJob*) self, text, printer_uri, name, state, state_reasons, is_accepting_jobs, job_id, job_state, job_state_reason, job_name, job_impressions_completed);
#line 277 "Job.c"
}


PrintersJob* printers_job_construct (GType object_type, cups_job_t* cjob, PrintersPrinter* printer) {
	PrintersJob * self = NULL;
	cups_job_t _tmp0_;
	PrintersPrinter* _tmp1_;
	cups_job_t _tmp2_;
	gint _tmp3_;
	CupsNotifier* notifier = NULL;
	CupsNotifier* _tmp4_;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	cups_job_t _tmp7_;
	ipp_jstate_t _tmp8_;
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (cjob != NULL, NULL);
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (printer != NULL, NULL);
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	self = (PrintersJob*) g_object_new (object_type, NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = *cjob;
#line 33 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	self->cjob = _tmp0_;
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = printer;
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	self->priv->printer = _tmp1_;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp2_ = *cjob;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp3_ = _tmp2_.id;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	self->priv->uid = _tmp3_;
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp4_ = cups_notifier_get_default ();
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	notifier = _tmp4_;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp7_ = *cjob;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp8_ = _tmp7_.state;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp8_ != IPP_JOB_CANCELED) {
#line 323 "Job.c"
		cups_job_t _tmp9_;
		ipp_jstate_t _tmp10_;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp9_ = *cjob;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp10_ = _tmp9_.state;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp6_ = _tmp10_ != IPP_JOB_ABORTED;
#line 332 "Job.c"
	} else {
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp6_ = FALSE;
#line 336 "Job.c"
	}
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp6_) {
#line 340 "Job.c"
		cups_job_t _tmp11_;
		ipp_jstate_t _tmp12_;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp11_ = *cjob;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp12_ = _tmp11_.state;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = _tmp12_ != IPP_JOB_COMPLETED;
#line 349 "Job.c"
	} else {
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = FALSE;
#line 353 "Job.c"
	}
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp5_) {
#line 357 "Job.c"
		CupsNotifier* _tmp13_;
		CupsNotifier* _tmp14_;
		CupsNotifier* _tmp15_;
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp13_ = notifier;
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_signal_connect_object (_tmp13_, "job-completed", (GCallback) ____lambda20__cups_notifier_job_completed, self, 0);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp14_ = notifier;
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_signal_connect_object (_tmp14_, "job-stopped", (GCallback) ____lambda21__cups_notifier_job_stopped, self, 0);
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp15_ = notifier;
#line 50 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_signal_connect_object (_tmp15_, "job-state-changed", (GCallback) ____lambda22__cups_notifier_job_state_changed, self, 0);
#line 373 "Job.c"
	}
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	return self;
#line 377 "Job.c"
}


PrintersJob* printers_job_new (cups_job_t* cjob, PrintersPrinter* printer) {
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	return printers_job_construct (PRINTERS_TYPE_JOB, cjob, printer);
#line 384 "Job.c"
}


void printers_job_pause (PrintersJob* self) {
	GError * _inner_error_ = NULL;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (self != NULL);
#line 392 "Job.c"
	{
		CupsPkHelper* _tmp0_;
		gint _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp1_ = self->priv->uid;
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp2_ = cups_pk_helper_job_set_hold_until (_tmp0_, _tmp1_, "indefinite", &_inner_error_);
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp3_ = _tmp2_;
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_free0 (_tmp3_);
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 410 "Job.c"
			goto __catch36_g_error;
		}
	}
	goto __finally36;
	__catch36_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		e = _inner_error_;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_inner_error_ = NULL;
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp4_ = e;
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = _tmp4_->message;
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("Job.vala:62: %s", _tmp5_);
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_error_free0 (e);
#line 432 "Job.c"
	}
	__finally36:
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_clear_error (&_inner_error_);
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return;
#line 443 "Job.c"
	}
}


void printers_job_stop (PrintersJob* self) {
	GError * _inner_error_ = NULL;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (self != NULL);
#line 452 "Job.c"
	{
		CupsPkHelper* _tmp0_;
		gint _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp1_ = self->priv->uid;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp2_ = cups_pk_helper_job_cancel_purge (_tmp0_, _tmp1_, FALSE, &_inner_error_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp3_ = _tmp2_;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_free0 (_tmp3_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 470 "Job.c"
			goto __catch37_g_error;
		}
	}
	goto __finally37;
	__catch37_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		e = _inner_error_;
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_inner_error_ = NULL;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp4_ = e;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = _tmp4_->message;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("Job.vala:70: %s", _tmp5_);
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_error_free0 (e);
#line 492 "Job.c"
	}
	__finally37:
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_clear_error (&_inner_error_);
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return;
#line 503 "Job.c"
	}
}


void printers_job_resume (PrintersJob* self) {
	GError * _inner_error_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_if_fail (self != NULL);
#line 512 "Job.c"
	{
		CupsPkHelper* _tmp0_;
		gint _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp1_ = self->priv->uid;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp2_ = cups_pk_helper_job_set_hold_until (_tmp0_, _tmp1_, "no-hold", &_inner_error_);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp3_ = _tmp2_;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_free0 (_tmp3_);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 530 "Job.c"
			goto __catch38_g_error;
		}
	}
	goto __finally38;
	__catch38_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		e = _inner_error_;
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_inner_error_ = NULL;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp4_ = e;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = _tmp4_->message;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("Job.vala:78: %s", _tmp5_);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_error_free0 (e);
#line 552 "Job.c"
	}
	__finally38:
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_clear_error (&_inner_error_);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return;
#line 563 "Job.c"
	}
}


GDateTime* printers_job_get_used_time (PrintersJob* self) {
	GDateTime* result = NULL;
	cups_job_t _tmp0_;
	time_t _tmp1_;
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = self->cjob;
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = _tmp0_.completed_time;
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp1_ != ((time_t) 0)) {
#line 580 "Job.c"
		cups_job_t _tmp2_;
		time_t _tmp3_;
		GDateTime* _tmp4_;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp2_ = self->cjob;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp3_ = _tmp2_.completed_time;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp4_ = g_date_time_new_from_unix_local ((gint64) _tmp3_);
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		result = _tmp4_;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return result;
#line 594 "Job.c"
	} else {
		cups_job_t _tmp5_;
		time_t _tmp6_;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = self->cjob;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp6_ = _tmp5_.processing_time;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		if (_tmp6_ != ((time_t) 0)) {
#line 604 "Job.c"
			cups_job_t _tmp7_;
			time_t _tmp8_;
			GDateTime* _tmp9_;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp7_ = self->cjob;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp8_ = _tmp7_.processing_time;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp9_ = g_date_time_new_from_unix_local ((gint64) _tmp8_);
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp9_;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 618 "Job.c"
		} else {
			cups_job_t _tmp10_;
			time_t _tmp11_;
			GDateTime* _tmp12_;
#line 88 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp10_ = self->cjob;
#line 88 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp11_ = _tmp10_.creation_time;
#line 88 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp12_ = g_date_time_new_from_unix_local ((gint64) _tmp11_);
#line 88 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp12_;
#line 88 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 633 "Job.c"
		}
	}
}


gchar* printers_job_translated_job_state (PrintersJob* self) {
	gchar* result = NULL;
	cups_job_t _tmp0_;
	ipp_jstate_t _tmp1_;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = self->cjob;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = _tmp0_.state;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	switch (_tmp1_) {
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_PENDING:
#line 653 "Job.c"
		{
			gchar* _tmp2_;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp2_ = g_strdup (_ ("Job Pending"));
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp2_;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 662 "Job.c"
		}
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_HELD:
#line 666 "Job.c"
		{
			gchar* _tmp3_;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp3_ = g_strdup (_ ("On Held"));
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp3_;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 675 "Job.c"
		}
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_PROCESSING:
#line 679 "Job.c"
		{
			gchar* _tmp4_;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp4_ = g_strdup (_ ("Processing…"));
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp4_;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 688 "Job.c"
		}
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_STOPPED:
#line 692 "Job.c"
		{
			gchar* _tmp5_;
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp5_ = g_strdup (_ ("Job Stopped"));
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp5_;
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 701 "Job.c"
		}
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_CANCELED:
#line 705 "Job.c"
		{
			gchar* _tmp6_;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp6_ = g_strdup (_ ("Job Canceled"));
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp6_;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 714 "Job.c"
		}
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_ABORTED:
#line 718 "Job.c"
		{
			gchar* _tmp7_;
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp7_ = g_strdup (_ ("Job Aborded"));
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp7_;
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 727 "Job.c"
		}
		default:
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_COMPLETED:
#line 732 "Job.c"
		{
			gchar* _tmp8_;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp8_ = g_strdup (_ ("Job Completed"));
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = _tmp8_;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 741 "Job.c"
		}
	}
}


GIcon* printers_job_state_icon (PrintersJob* self) {
	GIcon* result = NULL;
	cups_job_t _tmp0_;
	ipp_jstate_t _tmp1_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = self->cjob;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = _tmp0_.state;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	switch (_tmp1_) {
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_PENDING:
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_PROCESSING:
#line 763 "Job.c"
		{
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = NULL;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 769 "Job.c"
		}
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_HELD:
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_STOPPED:
#line 775 "Job.c"
		{
			GThemedIcon* _tmp2_;
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp2_ = (GThemedIcon*) g_themed_icon_new ("media-playback-pause");
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = (GIcon*) _tmp2_;
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 784 "Job.c"
		}
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_CANCELED:
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_ABORTED:
#line 790 "Job.c"
		{
			GThemedIcon* _tmp3_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp3_ = (GThemedIcon*) g_themed_icon_new ("process-error-symbolic");
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = (GIcon*) _tmp3_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 799 "Job.c"
		}
		default:
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		case IPP_JOB_COMPLETED:
#line 804 "Job.c"
		{
			GThemedIcon* _tmp4_;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp4_ = (GThemedIcon*) g_themed_icon_new ("process-completed-symbolic");
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = (GIcon*) _tmp4_;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 813 "Job.c"
		}
	}
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 835 "Job.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 854 "Job.c"
	} else {
		const gchar* _tmp2_;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp2_ = old;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) _tmp2_)) == '\0';
#line 861 "Job.c"
	}
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 867 "Job.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp3_ = old;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4_ = replacement;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (_tmp3_, _tmp4_) == 0;
#line 877 "Job.c"
	}
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 881 "Job.c"
		gchar* _tmp5_;
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp5_ = g_strdup (self);
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp5_;
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 889 "Job.c"
	}
	{
		GRegex* regex = NULL;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GRegex* _tmp9_;
		GRegex* _tmp10_;
		gchar* _tmp11_ = NULL;
		GRegex* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp6_ = old;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_escape_string (_tmp6_, -1);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_new (_tmp8_, 0, 0, &_inner_error_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp9_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_free0 (_tmp8_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		regex = _tmp10_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 921 "Job.c"
				goto __catch39_g_regex_error;
			}
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return NULL;
#line 930 "Job.c"
		}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp12_ = regex;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp13_ = replacement;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp14_ = g_regex_replace_literal (_tmp12_, self, (gssize) -1, 0, _tmp13_, 0, &_inner_error_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = _tmp14_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 946 "Job.c"
				goto __catch39_g_regex_error;
			}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return NULL;
#line 957 "Job.c"
		}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp15_ = _tmp11_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = NULL;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp15_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_free0 (_tmp11_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 971 "Job.c"
	}
	goto __finally39;
	__catch39_g_regex_error:
	{
		GError* e = NULL;
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1415 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 985 "Job.c"
	}
	__finally39:
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return NULL;
#line 996 "Job.c"
	}
}


GIcon* printers_job_get_file_icon (PrintersJob* self) {
	GIcon* result = NULL;
	gchar* title = NULL;
	cups_job_t _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	const gchar* _tmp6_;
	gboolean _tmp7_;
	cups_job_t _tmp24_;
	const gchar* _tmp25_;
	gchar* _tmp26_;
	gchar* _tmp27_;
	GThemedIcon* _tmp28_;
	GIcon* _tmp29_;
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = self->cjob;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = _tmp0_.title;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp2_ = g_utf8_strdown (_tmp1_, (gssize) -1);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	title = _tmp2_;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp6_ = title;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp7_ = string_contains (_tmp6_, ".png");
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp7_) {
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = TRUE;
#line 1036 "Job.c"
	} else {
		const gchar* _tmp8_;
		gboolean _tmp9_;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp8_ = title;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp9_ = string_contains (_tmp8_, ".jpg");
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp5_ = _tmp9_;
#line 1046 "Job.c"
	}
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp5_) {
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp4_ = TRUE;
#line 1052 "Job.c"
	} else {
		const gchar* _tmp10_;
		gboolean _tmp11_;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp10_ = title;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp11_ = string_contains (_tmp10_, ".jpeg");
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp4_ = _tmp11_;
#line 1062 "Job.c"
	}
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp4_) {
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp3_ = TRUE;
#line 1068 "Job.c"
	} else {
		const gchar* _tmp12_;
		gboolean _tmp13_;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp12_ = title;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp13_ = string_contains (_tmp12_, ".bmp");
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp3_ = _tmp13_;
#line 1078 "Job.c"
	}
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp3_) {
#line 1082 "Job.c"
		GThemedIcon* _tmp14_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp14_ = (GThemedIcon*) g_themed_icon_new ("image-x-generic");
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		result = (GIcon*) _tmp14_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_g_free0 (title);
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return result;
#line 1092 "Job.c"
	} else {
		const gchar* _tmp15_;
		gboolean _tmp16_;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp15_ = title;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp16_ = string_contains (_tmp15_, ".xcf");
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		if (_tmp16_) {
#line 1102 "Job.c"
			GThemedIcon* _tmp17_;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp17_ = (GThemedIcon*) g_themed_icon_new ("image-x-xcf");
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			result = (GIcon*) _tmp17_;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_g_free0 (title);
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			return result;
#line 1112 "Job.c"
		} else {
			const gchar* _tmp18_;
			gboolean _tmp19_;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp18_ = title;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			_tmp19_ = string_contains (_tmp18_, ".svg");
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
			if (_tmp19_) {
#line 1122 "Job.c"
				GThemedIcon* _tmp20_;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				_tmp20_ = (GThemedIcon*) g_themed_icon_new ("image-x-svg+xml");
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				result = (GIcon*) _tmp20_;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				_g_free0 (title);
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				return result;
#line 1132 "Job.c"
			} else {
				const gchar* _tmp21_;
				gboolean _tmp22_;
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				_tmp21_ = title;
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				_tmp22_ = string_contains (_tmp21_, ".pdf");
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
				if (_tmp22_) {
#line 1142 "Job.c"
					GThemedIcon* _tmp23_;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
					_tmp23_ = (GThemedIcon*) g_themed_icon_new ("application-pdf");
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
					result = (GIcon*) _tmp23_;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
					_g_free0 (title);
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
					return result;
#line 1152 "Job.c"
				}
			}
		}
	}
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp24_ = self->cjob;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp25_ = _tmp24_.format;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp26_ = string_replace (_tmp25_, "/", "-");
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp27_ = _tmp26_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp28_ = (GThemedIcon*) g_themed_icon_new (_tmp27_);
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp29_ = (GIcon*) _tmp28_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_g_free0 (_tmp27_);
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	result = _tmp29_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_g_free0 (title);
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	return result;
#line 1177 "Job.c"
}


gchar* printers_job_get_hold_until (PrintersJob* self) {
	gchar* result = NULL;
	gchar* job_uri = NULL;
	gchar* _tmp0_;
	gint job_uri_length1;
	gint _job_uri_size_;
	gchar* _tmp1_;
	gint _tmp1__length1;
	gint _tmp2_;
	ipp_t* request = NULL;
	ipp_t* _tmp3_;
	ipp_t* _tmp4_;
	gchar* _tmp5_;
	gint _tmp5__length1;
	gchar** attributes = NULL;
	gchar* _tmp6_;
	gchar** _tmp7_;
	gint attributes_length1;
	gint _attributes_size_;
	ipp_t* _tmp8_;
	gchar** _tmp9_;
	gint _tmp9__length1;
	http_t* _tmp10_;
	ipp_t* _tmp11_;
	ipp_status_t _tmp12_;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp0_ = g_new0 (gchar, HTTP_MAX_URI);
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	job_uri = _tmp0_;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	job_uri_length1 = HTTP_MAX_URI;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_job_uri_size_ = job_uri_length1;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1_ = job_uri;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp1__length1 = job_uri_length1;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp2_ = self->priv->uid;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	httpAssembleURIf (HTTP_URI_CODING_QUERY, _tmp1_, _tmp1__length1, "ipp", NULL, "localhost", 0, "/jobs/%d", _tmp2_);
#line 147 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp3_ = ippNewRequest (IPP_GET_JOB_ATTRIBUTES);
#line 147 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	request = _tmp3_;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp4_ = request;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp5_ = job_uri;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp5__length1 = job_uri_length1;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	ippAddString (_tmp4_, IPP_TAG_OPERATION, IPP_TAG_URI, "job-uri", NULL, (const gchar*) _tmp5_);
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp6_ = g_strdup ("job-hold-until");
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp7_ = g_new0 (gchar*, 1 + 1);
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp7_[0] = _tmp6_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	attributes = _tmp7_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	attributes_length1 = 1;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_attributes_size_ = attributes_length1;
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp8_ = request;
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp9_ = attributes;
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp9__length1 = attributes_length1;
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	ippAddStrings (_tmp8_, IPP_TAG_OPERATION, IPP_TAG_KEYWORD, "requested-attributes", _tmp9__length1, NULL, _tmp9_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp10_ = CUPS_HTTP_DEFAULT;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	request = cupsDoRequest (_tmp10_, request, "/");
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp11_ = request;
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_tmp12_ = ippGetStatusCode (_tmp11_);
#line 155 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	if (_tmp12_ <= IPP_OK_CONFLICT) {
#line 1266 "Job.c"
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp13_;
		ipp_attribute_t* _tmp14_;
		ipp_attribute_t* _tmp15_;
		const gchar* _tmp16_;
		gchar* _tmp17_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp13_ = request;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp14_ = ippFindAttribute (_tmp13_, "job-hold-until", IPP_TAG_ZERO);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		attr = _tmp14_;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp15_ = attr;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp16_ = ippGetString (_tmp15_, 0, NULL);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp17_ = g_strdup (_tmp16_);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		result = _tmp17_;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_ippDelete0 (request);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		job_uri = (g_free (job_uri), NULL);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return result;
#line 1295 "Job.c"
	} else {
		ipp_t* _tmp18_;
		ipp_status_t _tmp19_;
		const gchar* _tmp20_;
		gchar* _tmp21_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp18_ = request;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp19_ = ippGetStatusCode (_tmp18_);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp20_ = ippErrorString (_tmp19_);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		g_critical ("Job.vala:159: Error: %s", _tmp20_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_tmp21_ = g_strdup ("no-hold");
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		result = _tmp21_;
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		_ippDelete0 (request);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		job_uri = (g_free (job_uri), NULL);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
		return result;
#line 1321 "Job.c"
	}
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	_ippDelete0 (request);
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	job_uri = (g_free (job_uri), NULL);
#line 1329 "Job.c"
}


static void printers_job_class_init (PrintersJobClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	printers_job_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	g_type_class_add_private (klass, sizeof (PrintersJobPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_job_finalize;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	printers_job_signals[PRINTERS_JOB_STOPPED_SIGNAL] = g_signal_new ("stopped", PRINTERS_TYPE_JOB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	printers_job_signals[PRINTERS_JOB_COMPLETED_SIGNAL] = g_signal_new ("completed", PRINTERS_TYPE_JOB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	printers_job_signals[PRINTERS_JOB_STATE_CHANGED_SIGNAL] = g_signal_new ("state_changed", PRINTERS_TYPE_JOB, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1346 "Job.c"
}


static void printers_job_instance_init (PrintersJob * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	self->priv = PRINTERS_JOB_GET_PRIVATE (self);
#line 1353 "Job.c"
}


static void printers_job_finalize (GObject * obj) {
	PrintersJob * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_TYPE_JOB, PrintersJob);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Job.vala"
	G_OBJECT_CLASS (printers_job_parent_class)->finalize (obj);
#line 1363 "Job.c"
}


GType printers_job_get_type (void) {
	static volatile gsize printers_job_type_id__volatile = 0;
	if (g_once_init_enter (&printers_job_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersJobClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_job_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersJob), 0, (GInstanceInitFunc) printers_job_instance_init, NULL };
		GType printers_job_type_id;
		printers_job_type_id = g_type_register_static (G_TYPE_OBJECT, "PrintersJob", &g_define_type_info, 0);
		g_once_init_leave (&printers_job_type_id__volatile, printers_job_type_id);
	}
	return printers_job_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



