/* Printer.c generated by valac 0.36.3, the Vala compiler
 * generated from Printer.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <cups/cups.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gee.h>
#include <cups/ipp.h>
#include <gio/gio.h>
#include <gtk/gtk.h>


#define PRINTERS_TYPE_PRINTER (printers_printer_get_type ())
#define PRINTERS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinter))
#define PRINTERS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))
#define PRINTERS_IS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_PRINTER))
#define PRINTERS_IS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_PRINTER))
#define PRINTERS_PRINTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))

typedef struct _PrintersPrinter PrintersPrinter;
typedef struct _PrintersPrinterClass PrintersPrinterClass;
typedef struct _PrintersPrinterPrivate PrintersPrinterPrivate;

#define PRINTERS_TYPE_JOB (printers_job_get_type ())
#define PRINTERS_JOB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_JOB, PrintersJob))
#define PRINTERS_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_JOB, PrintersJobClass))
#define PRINTERS_IS_JOB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_JOB))
#define PRINTERS_IS_JOB_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_JOB))
#define PRINTERS_JOB_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_JOB, PrintersJobClass))

typedef struct _PrintersJob PrintersJob;
typedef struct _PrintersJobClass PrintersJobClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _ippDelete0(var) ((var == NULL) ? NULL : (var = (ippDelete (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define CUPS_TYPE_PK_HELPER (cups_pk_helper_get_type ())
#define CUPS_PK_HELPER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), CUPS_TYPE_PK_HELPER, CupsPkHelper))
#define CUPS_IS_PK_HELPER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CUPS_TYPE_PK_HELPER))
#define CUPS_PK_HELPER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), CUPS_TYPE_PK_HELPER, CupsPkHelperIface))

typedef struct _CupsPkHelper CupsPkHelper;
typedef struct _CupsPkHelperIface CupsPkHelperIface;

#define CUPS_TYPE_PK_HELPER_PROXY (cups_pk_helper_proxy_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	PRINTERS_PRINTER_ENABLED_CHANGED_SIGNAL,
	PRINTERS_PRINTER_DEFAULT_CHANGED_SIGNAL,
	PRINTERS_PRINTER_DELETED_SIGNAL,
	PRINTERS_PRINTER_LAST_SIGNAL
};
static guint printers_printer_signals[PRINTERS_PRINTER_LAST_SIGNAL] = {0};

struct _PrintersPrinter {
	GObject parent_instance;
	PrintersPrinterPrivate * priv;
	cups_dest_t dest;
};

struct _PrintersPrinterClass {
	GObjectClass parent_class;
};

struct _CupsPkHelperIface {
	GTypeInterface parent_iface;
	gchar* (*file_get) (CupsPkHelper* self, const gchar* resource, const gchar* filename, GError** error);
	gchar* (*file_put) (CupsPkHelper* self, const gchar* resource, const gchar* filename, GError** error);
	void (*server_get_settings) (CupsPkHelper* self, gchar* * _error_, GHashTable* * settings, GError** error);
	gchar* (*server_set_settings) (CupsPkHelper* self, GHashTable* settings, GError** error);
	void (*devices_get) (CupsPkHelper* self, gint timeout, gint limit, gchar** include_schemes, int include_schemes_length1, gchar** exclude_schemes, int exclude_schemes_length1, gchar* * _error_, GHashTable* * devices, GError** error);
	gchar* (*printer_add) (CupsPkHelper* self, const gchar* name, const gchar* uri, const gchar* ppd, const gchar* info, const gchar* location, GError** error);
	gchar* (*printer_add_with_ppd_file) (CupsPkHelper* self, const gchar* name, const gchar* uri, const gchar* ppd, const gchar* info, const gchar* location, GError** error);
	gchar* (*printer_set_device) (CupsPkHelper* self, const gchar* name, const gchar* device, GError** error);
	gchar* (*printer_set_default) (CupsPkHelper* self, const gchar* name, GError** error);
	gchar* (*printer_set_enabled) (CupsPkHelper* self, const gchar* name, gboolean enabled, GError** error);
	gchar* (*printer_set_accept_jobs) (CupsPkHelper* self, const gchar* name, gboolean enabled, const gchar* reason, GError** error);
	gchar* (*printer_delete) (CupsPkHelper* self, const gchar* name, GError** error);
	gchar* (*class_add_printer) (CupsPkHelper* self, const gchar* name, const gchar* printer, GError** error);
	gchar* (*class_delete_printer) (CupsPkHelper* self, const gchar* name, const gchar* printer, GError** error);
	gchar* (*class_delete) (CupsPkHelper* self, const gchar* name, GError** error);
	gchar* (*printer_set_info) (CupsPkHelper* self, const gchar* name, const gchar* info, GError** error);
	gchar* (*printer_set_location) (CupsPkHelper* self, const gchar* name, const gchar* location, GError** error);
	gchar* (*printer_set_shared) (CupsPkHelper* self, const gchar* name, gboolean shared, GError** error);
	gchar* (*printer_set_job_sheets) (CupsPkHelper* self, const gchar* name, const gchar* start, const gchar* end, GError** error);
	gchar* (*printer_set_error_policy) (CupsPkHelper* self, const gchar* name, const gchar* policy, GError** error);
	gchar* (*printer_set_op_policy) (CupsPkHelper* self, const gchar* name, const gchar* policy, GError** error);
	gchar* (*printer_set_users_allowed) (CupsPkHelper* self, const gchar* name, gchar** users, int users_length1, GError** error);
	gchar* (*printer_set_users_denied) (CupsPkHelper* self, const gchar* name, gchar** users, int users_length1, GError** error);
	gchar* (*printer_add_option_default) (CupsPkHelper* self, const gchar* name, const gchar* option, gchar** values, int values_length1, GError** error);
	gchar* (*printer_delete_option_default) (CupsPkHelper* self, const gchar* name, const gchar* option, GError** error);
	gchar* (*printer_add_option) (CupsPkHelper* self, const gchar* name, const gchar* option, gchar** values, int values_length1, GError** error);
	gchar* (*job_cancel_purge) (CupsPkHelper* self, gint jobid, gboolean purge, GError** error);
	gchar* (*job_restart) (CupsPkHelper* self, gint jobid, GError** error);
	gchar* (*job_set_hold_until) (CupsPkHelper* self, gint jobid, const gchar* job_hold_until, GError** error);
};


static gpointer printers_printer_parent_class = NULL;
static gchar** printers_printer_reasons;
static gint printers_printer_reasons_length1;
static gchar** printers_printer_reasons = NULL;
static gint printers_printer_reasons_length1 = 0;
static gint _printers_printer_reasons_size_ = 0;
static gchar** printers_printer_statuses;
static gint printers_printer_statuses_length1;
static gchar** printers_printer_statuses = NULL;
static gint printers_printer_statuses_length1 = 0;
static gint _printers_printer_statuses_size_ = 0;

GType printers_printer_get_type (void) G_GNUC_CONST;
enum  {
	PRINTERS_PRINTER_DUMMY_PROPERTY,
	PRINTERS_PRINTER_ENABLED,
	PRINTERS_PRINTER_IS_DEFAULT,
	PRINTERS_PRINTER_AUTH_INFO_REQUIRED,
	PRINTERS_PRINTER_INFO,
	PRINTERS_PRINTER_IS_ACCEPTING_JOBS,
	PRINTERS_PRINTER_IS_SHARED,
	PRINTERS_PRINTER_LOCATION,
	PRINTERS_PRINTER_MAKE_AND_MODEL,
	PRINTERS_PRINTER_STATE,
	PRINTERS_PRINTER_STATE_CHANGE_TIME,
	PRINTERS_PRINTER_STATE_REASONS,
	PRINTERS_PRINTER_STATE_REASONS_LOCALIZED,
	PRINTERS_PRINTER_PRINTER_TYPE
};
PrintersPrinter* printers_printer_new (cups_dest_t* dest);
PrintersPrinter* printers_printer_construct (GType object_type, cups_dest_t* dest);
gboolean printers_printer_is_offline (PrintersPrinter* self);
const gchar* printers_printer_get_state_reasons (PrintersPrinter* self);
GType printers_job_get_type (void) G_GNUC_CONST;
GeeTreeSet* printers_printer_get_jobs (PrintersPrinter* self, gboolean my_jobs, int whichjobs);
PrintersJob* printers_job_new (cups_job_t* cjob, PrintersPrinter* printer);
PrintersJob* printers_job_construct (GType object_type, cups_job_t* cjob, PrintersPrinter* printer);
gint printers_printer_get_pages_per_sheet (PrintersPrinter* self, GeeTreeSet* pages_per_sheet);
static ipp_t* printers_printer_request_attributes (PrintersPrinter* self, gchar** attributes, int attributes_length1, GError** error);
void printers_printer_set_default_pages (PrintersPrinter* self, const gchar* new_default);
GType cups_pk_helper_proxy_get_type (void) G_GNUC_CONST;
guint cups_pk_helper_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType cups_pk_helper_get_type (void) G_GNUC_CONST;
CupsPkHelper* cups_get_pk_helper (void);
gchar* cups_pk_helper_printer_delete_option_default (CupsPkHelper* self, const gchar* name, const gchar* option, GError** error);
gchar* cups_pk_helper_printer_add_option_default (CupsPkHelper* self, const gchar* name, const gchar* option, gchar** values, int values_length1, GError** error);
gchar* printers_printer_get_sides (PrintersPrinter* self, GeeTreeSet* sides);
void printers_printer_set_default_side (PrintersPrinter* self, const gchar* new_default);
gint printers_printer_get_orientations (PrintersPrinter* self, GeeTreeSet* orientations);
void printers_printer_set_default_orientation (PrintersPrinter* self, const gchar* new_default);
gchar* printers_printer_get_output_bins (PrintersPrinter* self, GeeTreeSet* output_bins);
void printers_printer_set_default_output_bin (PrintersPrinter* self, const gchar* new_default);
gchar* printers_printer_get_print_color_modes (PrintersPrinter* self, GeeTreeSet* print_color_modes);
void printers_printer_set_default_print_color_mode (PrintersPrinter* self, const gchar* new_default);
gchar* printers_printer_get_media_sources (PrintersPrinter* self, GeeTreeSet* media_sources);
gchar* printers_printer_get_media_sizes (PrintersPrinter* self, GeeTreeSet* media_sizes);
void printers_printer_set_default_media_size (PrintersPrinter* self, const gchar* new_default);
void printers_printer_set_default_media_source (PrintersPrinter* self, const gchar* new_default);
gint printers_printer_get_print_qualities (PrintersPrinter* self, GeeTreeSet* print_qualities);
void printers_printer_get_all (PrintersPrinter* self);
gboolean printers_printer_get_enabled (PrintersPrinter* self);
const gchar* printers_printer_get_state (PrintersPrinter* self);
gboolean printers_printer_get_is_accepting_jobs (PrintersPrinter* self);
void printers_printer_set_enabled (PrintersPrinter* self, gboolean value);
gchar* cups_pk_helper_printer_set_enabled (CupsPkHelper* self, const gchar* name, gboolean enabled, GError** error);
gchar* cups_pk_helper_printer_set_accept_jobs (CupsPkHelper* self, const gchar* name, gboolean enabled, const gchar* reason, GError** error);
gboolean printers_printer_get_is_default (PrintersPrinter* self);
void printers_printer_set_is_default (PrintersPrinter* self, gboolean value);
gchar* cups_pk_helper_printer_set_default (CupsPkHelper* self, const gchar* name, GError** error);
const gchar* printers_printer_get_auth_info_required (PrintersPrinter* self);
const gchar* printers_printer_get_info (PrintersPrinter* self);
void printers_printer_set_info (PrintersPrinter* self, const gchar* value);
gchar* cups_pk_helper_printer_set_info (CupsPkHelper* self, const gchar* name, const gchar* info, GError** error);
void printers_printer_set_is_accepting_jobs (PrintersPrinter* self, gboolean value);
gboolean printers_printer_get_is_shared (PrintersPrinter* self);
void printers_printer_set_is_shared (PrintersPrinter* self, gboolean value);
gchar* cups_pk_helper_printer_set_shared (CupsPkHelper* self, const gchar* name, gboolean shared, GError** error);
const gchar* printers_printer_get_location (PrintersPrinter* self);
void printers_printer_set_location (PrintersPrinter* self, const gchar* value);
gchar* cups_pk_helper_printer_set_location (CupsPkHelper* self, const gchar* name, const gchar* location, GError** error);
const gchar* printers_printer_get_make_and_model (PrintersPrinter* self);
const gchar* printers_printer_get_state_change_time (PrintersPrinter* self);
const gchar* printers_printer_get_state_reasons_localized (PrintersPrinter* self);
#define BUILD_GETTEXT_PACKAGE "pantheon-printers-plug"
const gchar* printers_printer_get_printer_type (PrintersPrinter* self);
static void printers_printer_finalize (GObject * obj);
static void _vala_printers_printer_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_printers_printer_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


/***********
     * Methods *
     ***********/
PrintersPrinter* printers_printer_construct (GType object_type, cups_dest_t* dest) {
	PrintersPrinter * self = NULL;
	cups_dest_t _tmp0_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (dest != NULL, NULL);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	self = (PrintersPrinter*) g_object_new (object_type, NULL);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = *dest;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	self->dest = _tmp0_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return self;
#line 233 "Printer.c"
}


PrintersPrinter* printers_printer_new (cups_dest_t* dest) {
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return printers_printer_construct (PRINTERS_TYPE_PRINTER, dest);
#line 240 "Printer.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 260 "Printer.c"
}


gboolean printers_printer_is_offline (PrintersPrinter* self) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gboolean _tmp2_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = printers_printer_get_state_reasons (self);
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = string_contains (_tmp1_, "offline");
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 281 "Printer.c"
}


static cups_job_t* cups_get_jobs (const gchar* name, gboolean my_jobs, int whichjobs, int* result_length1) {
	cups_job_t* result = NULL;
	cups_job_t* temp = NULL;
	gint temp_length1 = 0;
	gint _temp_size_ = 0;
	gint _tmp0_ = 0;
	gboolean _tmp1_;
	gint len = 0;
	const gchar* _tmp2_;
	int _tmp3_;
	cups_job_t* _tmp4_ = NULL;
	gint _tmp5_;
	gint _tmp6_;
	gint _tmp7_;
	cups_job_t* _tmp8_;
	gint _tmp8__length1;
	cups_job_t* _tmp9_;
	gint _tmp9__length1;
#line 147 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	g_return_val_if_fail (name != NULL, NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp1_ = my_jobs;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	if (_tmp1_) {
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
		_tmp0_ = 1;
#line 311 "Printer.c"
	} else {
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
		_tmp0_ = 0;
#line 315 "Printer.c"
	}
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp2_ = name;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp3_ = whichjobs;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp5_ = cupsGetJobs (&_tmp4_, _tmp2_, _tmp0_, _tmp3_);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	temp = _tmp4_;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	temp_length1 = -1;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_temp_size_ = temp_length1;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	len = _tmp5_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp6_ = len;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	temp_length1 = _tmp6_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp7_ = temp_length1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp8_ = temp;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp8__length1 = temp_length1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp9_ = _tmp8_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp9__length1 = _tmp8__length1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	if (result_length1) {
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
		*result_length1 = _tmp9__length1;
#line 349 "Printer.c"
	}
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	result = _tmp9_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	return result;
#line 355 "Printer.c"
}


static cups_job_t* cups_destination_get_jobs (cups_dest_t *self, gboolean my_jobs, int whichjobs, int* result_length1) {
	cups_job_t* result = NULL;
	const gchar* _tmp0_;
	gboolean _tmp1_;
	int _tmp2_;
	gint _tmp3_;
	cups_job_t* _tmp4_;
	cups_job_t* _tmp5_;
	gint _tmp5__length1;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp0_ = (*self).name;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp1_ = my_jobs;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp2_ = whichjobs;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp4_ = cups_get_jobs (_tmp0_, _tmp1_, _tmp2_, &_tmp3_);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp5_ = _tmp4_;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp5__length1 = _tmp3_;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	if (result_length1) {
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
		*result_length1 = _tmp5__length1;
#line 384 "Printer.c"
	}
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	result = _tmp5_;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	return result;
#line 390 "Printer.c"
}


GeeTreeSet* printers_printer_get_jobs (PrintersPrinter* self, gboolean my_jobs, int whichjobs) {
	GeeTreeSet* result = NULL;
	GeeTreeSet* jobs = NULL;
	GeeTreeSet* _tmp0_;
	cups_job_t* cjobs = NULL;
	gboolean _tmp1_;
	int _tmp2_;
	gint _tmp3_;
	cups_job_t* _tmp4_;
	gint cjobs_length1;
	gint _cjobs_size_;
	cups_job_t* _tmp5_;
	gint _tmp5__length1;
#line 300 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = gee_tree_set_new (PRINTERS_TYPE_JOB, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	jobs = _tmp0_;
#line 302 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = my_jobs;
#line 302 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = whichjobs;
#line 302 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp4_ = cups_destination_get_jobs (&self->dest, _tmp1_, _tmp2_, &_tmp3_);
#line 302 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	cjobs = _tmp4_;
#line 302 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	cjobs_length1 = _tmp3_;
#line 302 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_cjobs_size_ = cjobs_length1;
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp5_ = cjobs;
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp5__length1 = cjobs_length1;
#line 429 "Printer.c"
	{
		cups_job_t* cjob_collection = NULL;
		gint cjob_collection_length1 = 0;
		gint _cjob_collection_size_ = 0;
		gint cjob_it = 0;
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		cjob_collection = _tmp5_;
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		cjob_collection_length1 = _tmp5__length1;
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		for (cjob_it = 0; cjob_it < _tmp5__length1; cjob_it = cjob_it + 1) {
#line 441 "Printer.c"
			cups_job_t cjob = {0};
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			cjob = cjob_collection[cjob_it];
#line 445 "Printer.c"
			{
				PrintersJob* job = NULL;
				cups_job_t _tmp6_;
				PrintersJob* _tmp7_;
				GeeTreeSet* _tmp8_;
				PrintersJob* _tmp9_;
#line 304 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp6_ = cjob;
#line 304 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = printers_job_new (&_tmp6_, self);
#line 304 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				job = _tmp7_;
#line 305 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp8_ = jobs;
#line 305 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp9_ = job;
#line 305 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp8_, _tmp9_);
#line 303 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_g_object_unref0 (job);
#line 466 "Printer.c"
			}
		}
	}
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = jobs;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 474 "Printer.c"
}


gint printers_printer_get_pages_per_sheet (PrintersPrinter* self, GeeTreeSet* pages_per_sheet) {
	gint result = 0;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	GError * _inner_error_ = NULL;
#line 311 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 311 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (pages_per_sheet != NULL, 0);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup (CUPS_NUMBER_UP_SUPPORTED);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("number-up-default");
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 507 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 530 "Printer.c"
			goto __catch11_g_error;
		}
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, CUPS_NUMBER_UP_SUPPORTED, IPP_TAG_ZERO);
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 539 "Printer.c"
		{
			gint i = 0;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 544 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 551 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					gint _tmp15_;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 561 "Printer.c"
						gint _tmp8_;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 567 "Printer.c"
					}
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 317 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 581 "Printer.c"
					}
#line 318 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = pages_per_sheet;
#line 318 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 318 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 318 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetInteger (_tmp13_, _tmp14_);
#line 318 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, (gpointer) ((gintptr) _tmp15_));
#line 593 "Printer.c"
				}
			}
		}
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "number-up-default", IPP_TAG_ZERO);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 609 "Printer.c"
			ipp_attribute_t* _tmp20_;
			gint _tmp21_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetInteger (_tmp20_, 0);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			result = _tmp21_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_ippDelete0 (request);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return result;
#line 624 "Printer.c"
		}
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 628 "Printer.c"
	}
	goto __finally11;
	__catch11_g_error:
	{
		GError* e = NULL;
		GError* _tmp22_;
		const gchar* _tmp23_;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp22_ = e;
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp23_ = _tmp22_->message;
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:326: Error: %s", _tmp23_);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 648 "Printer.c"
	}
	__finally11:
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 653 "Printer.c"
		gint _tmp24_ = 0;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return _tmp24_;
#line 663 "Printer.c"
	}
#line 329 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = 1;
#line 329 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 329 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 671 "Printer.c"
}


void printers_printer_set_default_pages (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 332 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 332 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 333 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 333 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 687 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "number-up", &_inner_error_);
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 718 "Printer.c"
			goto __catch12_g_error;
		}
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "number-up", _tmp12_, 1, &_inner_error_);
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 336 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 749 "Printer.c"
			goto __catch12_g_error;
		}
	}
	goto __finally12;
	__catch12_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 338 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 338 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 338 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:338: %s", _tmp16_);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 771 "Printer.c"
	}
	__finally12:
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 782 "Printer.c"
	}
}


gchar* printers_printer_get_sides (PrintersPrinter* self, GeeTreeSet* sides) {
	gchar* result = NULL;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	gchar* _tmp25_;
	GError * _inner_error_ = NULL;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (sides != NULL, NULL);
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup (CUPS_SIDES_SUPPORTED);
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("sides-default");
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 817 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 346 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 346 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 346 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 346 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 346 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 840 "Printer.c"
			goto __catch13_g_error;
		}
#line 347 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 347 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, CUPS_SIDES_SUPPORTED, IPP_TAG_ZERO);
#line 347 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 849 "Printer.c"
		{
			gint i = 0;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 854 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 861 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					const gchar* _tmp15_;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 871 "Printer.c"
						gint _tmp8_;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 877 "Printer.c"
					}
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 891 "Printer.c"
					}
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = sides;
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetString (_tmp13_, _tmp14_, NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, _tmp15_);
#line 903 "Printer.c"
				}
			}
		}
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "sides-default", IPP_TAG_ZERO);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 919 "Printer.c"
			ipp_attribute_t* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetString (_tmp20_, 0, NULL);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			result = _tmp22_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_ippDelete0 (request);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return result;
#line 937 "Printer.c"
		}
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 941 "Printer.c"
	}
	goto __finally13;
	__catch13_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 357 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp23_ = e;
#line 357 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp24_ = _tmp23_->message;
#line 357 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:357: Error: %s", _tmp24_);
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 961 "Printer.c"
	}
	__finally13:
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 345 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return NULL;
#line 974 "Printer.c"
	}
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp25_ = g_strdup (CUPS_SIDES_ONE_SIDED);
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp25_;
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 984 "Printer.c"
}


void printers_printer_set_default_side (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 363 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 363 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 364 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 364 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 1000 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "sides", &_inner_error_);
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1031 "Printer.c"
			goto __catch14_g_error;
		}
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "sides", _tmp12_, 1, &_inner_error_);
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 367 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1062 "Printer.c"
			goto __catch14_g_error;
		}
	}
	goto __finally14;
	__catch14_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 369 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 369 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 369 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:369: %s", _tmp16_);
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 1084 "Printer.c"
	}
	__finally14:
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 1095 "Printer.c"
	}
}


gint printers_printer_get_orientations (PrintersPrinter* self, GeeTreeSet* orientations) {
	gint result = 0;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	GError * _inner_error_ = NULL;
#line 373 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 373 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (orientations != NULL, 0);
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup (CUPS_ORIENTATION_SUPPORTED);
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("orientation-requested-default");
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 1129 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1152 "Printer.c"
			goto __catch15_g_error;
		}
#line 378 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 378 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, CUPS_ORIENTATION_SUPPORTED, IPP_TAG_ZERO);
#line 378 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 1161 "Printer.c"
		{
			gint i = 0;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 1166 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 1173 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					gint _tmp15_;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 1183 "Printer.c"
						gint _tmp8_;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 1189 "Printer.c"
					}
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 379 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 1203 "Printer.c"
					}
#line 380 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = orientations;
#line 380 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 380 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 380 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetInteger (_tmp13_, _tmp14_);
#line 380 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, (gpointer) ((gintptr) _tmp15_));
#line 1215 "Printer.c"
				}
			}
		}
#line 383 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 383 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "orientation-requested-default", IPP_TAG_ZERO);
#line 383 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 1231 "Printer.c"
			gint page = 0;
			ipp_attribute_t* _tmp20_;
			gint _tmp21_;
			gboolean _tmp22_ = FALSE;
			gint _tmp23_;
#line 385 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 385 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetInteger (_tmp20_, 0);
#line 385 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			page = _tmp21_;
#line 386 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp23_ = page;
#line 386 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (_tmp23_ >= 3) {
#line 1247 "Printer.c"
				gint _tmp24_;
#line 386 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp24_ = page;
#line 386 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp22_ = _tmp24_ <= 6;
#line 1253 "Printer.c"
			} else {
#line 386 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp22_ = FALSE;
#line 1257 "Printer.c"
			}
#line 386 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (_tmp22_) {
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				result = page;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_ippDelete0 (request);
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				return result;
#line 1269 "Printer.c"
			}
		}
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 1274 "Printer.c"
	}
	goto __finally15;
	__catch15_g_error:
	{
		GError* e = NULL;
		GError* _tmp25_;
		const gchar* _tmp26_;
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 391 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp25_ = e;
#line 391 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp26_ = _tmp25_->message;
#line 391 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:391: Error: %s", _tmp26_);
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 1294 "Printer.c"
	}
	__finally15:
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1299 "Printer.c"
		gint _tmp27_ = 0;
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 376 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return _tmp27_;
#line 1309 "Printer.c"
	}
#line 394 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = 3;
#line 394 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 394 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 1317 "Printer.c"
}


void printers_printer_set_default_orientation (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 397 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 397 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 398 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 398 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 1333 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "orientation-requested", &_inner_error_);
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1364 "Printer.c"
			goto __catch16_g_error;
		}
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "orientation-requested", _tmp12_, 1, &_inner_error_);
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 401 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1395 "Printer.c"
			goto __catch16_g_error;
		}
	}
	goto __finally16;
	__catch16_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 403 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 403 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 403 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:403: %s", _tmp16_);
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 1417 "Printer.c"
	}
	__finally16:
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 1428 "Printer.c"
	}
}


gchar* printers_printer_get_output_bins (PrintersPrinter* self, GeeTreeSet* output_bins) {
	gchar* result = NULL;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	gchar* _tmp25_;
	GError * _inner_error_ = NULL;
#line 407 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 407 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (output_bins != NULL, NULL);
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup ("output-bin-supported");
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("output-bin-default");
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 1463 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 411 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 411 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 411 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 411 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 411 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1486 "Printer.c"
			goto __catch17_g_error;
		}
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, "output-bin-supported", IPP_TAG_ZERO);
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 1495 "Printer.c"
		{
			gint i = 0;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 1500 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 1507 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					const gchar* _tmp15_;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 1517 "Printer.c"
						gint _tmp8_;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 1523 "Printer.c"
					}
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 1537 "Printer.c"
					}
#line 414 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = output_bins;
#line 414 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 414 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 414 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetString (_tmp13_, _tmp14_, NULL);
#line 414 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, _tmp15_);
#line 1549 "Printer.c"
				}
			}
		}
#line 417 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 417 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "output-bin-default", IPP_TAG_ZERO);
#line 417 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 1565 "Printer.c"
			ipp_attribute_t* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetString (_tmp20_, 0, NULL);
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			result = _tmp22_;
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_ippDelete0 (request);
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return result;
#line 1583 "Printer.c"
		}
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 1587 "Printer.c"
	}
	goto __finally17;
	__catch17_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 422 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp23_ = e;
#line 422 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp24_ = _tmp23_->message;
#line 422 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:422: Error: %s", _tmp24_);
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 1607 "Printer.c"
	}
	__finally17:
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 410 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return NULL;
#line 1620 "Printer.c"
	}
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp25_ = g_strdup ("rear");
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp25_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 1630 "Printer.c"
}


void printers_printer_set_default_output_bin (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 1646 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "output-bin", &_inner_error_);
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1677 "Printer.c"
			goto __catch18_g_error;
		}
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "output-bin", _tmp12_, 1, &_inner_error_);
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 432 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1708 "Printer.c"
			goto __catch18_g_error;
		}
	}
	goto __finally18;
	__catch18_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 434 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 434 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 434 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:434: %s", _tmp16_);
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 1730 "Printer.c"
	}
	__finally18:
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 430 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 1741 "Printer.c"
	}
}


gchar* printers_printer_get_print_color_modes (PrintersPrinter* self, GeeTreeSet* print_color_modes) {
	gchar* result = NULL;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	gchar* _tmp25_;
	GError * _inner_error_ = NULL;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (print_color_modes != NULL, NULL);
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup ("print-color-mode-supported");
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("print-color-mode-default");
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 1776 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1799 "Printer.c"
			goto __catch19_g_error;
		}
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, "print-color-mode-supported", IPP_TAG_ZERO);
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 1808 "Printer.c"
		{
			gint i = 0;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 1813 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 1820 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					const gchar* _tmp15_;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 1830 "Printer.c"
						gint _tmp8_;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 1836 "Printer.c"
					}
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 1850 "Printer.c"
					}
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = print_color_modes;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetString (_tmp13_, _tmp14_, NULL);
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, _tmp15_);
#line 1862 "Printer.c"
				}
			}
		}
#line 448 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 448 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "print-color-mode-default", IPP_TAG_ZERO);
#line 448 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 449 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 449 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 449 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 1878 "Printer.c"
			ipp_attribute_t* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetString (_tmp20_, 0, NULL);
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			result = _tmp22_;
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_ippDelete0 (request);
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 450 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return result;
#line 1896 "Printer.c"
		}
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 1900 "Printer.c"
	}
	goto __finally19;
	__catch19_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 453 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp23_ = e;
#line 453 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp24_ = _tmp23_->message;
#line 453 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:453: Error: %s", _tmp24_);
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 1920 "Printer.c"
	}
	__finally19:
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 441 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return NULL;
#line 1933 "Printer.c"
	}
#line 456 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp25_ = g_strdup ("auto");
#line 456 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp25_;
#line 456 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 456 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 1943 "Printer.c"
}


void printers_printer_set_default_print_color_mode (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 459 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 459 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 460 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 460 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 1959 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "print-color-mode", &_inner_error_);
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 462 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1990 "Printer.c"
			goto __catch20_g_error;
		}
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "print-color-mode", _tmp12_, 1, &_inner_error_);
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 463 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2021 "Printer.c"
			goto __catch20_g_error;
		}
	}
	goto __finally20;
	__catch20_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 465 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 465 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 465 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:465: %s", _tmp16_);
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 2043 "Printer.c"
	}
	__finally20:
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 461 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 2054 "Printer.c"
	}
}


gchar* printers_printer_get_media_sources (PrintersPrinter* self, GeeTreeSet* media_sources) {
	gchar* result = NULL;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	gchar* _tmp25_;
	GError * _inner_error_ = NULL;
#line 469 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 469 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (media_sources != NULL, NULL);
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup ("media-source-supported");
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("media-source-default-default");
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 470 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 2089 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 473 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 473 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 473 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 473 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 473 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2112 "Printer.c"
			goto __catch21_g_error;
		}
#line 474 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 474 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, "media-source-supported", IPP_TAG_ZERO);
#line 474 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 2121 "Printer.c"
		{
			gint i = 0;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 2126 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 2133 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					const gchar* _tmp15_;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 2143 "Printer.c"
						gint _tmp8_;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 2149 "Printer.c"
					}
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 475 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 2163 "Printer.c"
					}
#line 476 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = media_sources;
#line 476 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 476 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 476 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetString (_tmp13_, _tmp14_, NULL);
#line 476 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, _tmp15_);
#line 2175 "Printer.c"
				}
			}
		}
#line 479 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 479 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "media-source-default-default", IPP_TAG_ZERO);
#line 479 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 480 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 480 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 480 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 2191 "Printer.c"
			ipp_attribute_t* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetString (_tmp20_, 0, NULL);
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			result = _tmp22_;
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_ippDelete0 (request);
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 481 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return result;
#line 2209 "Printer.c"
		}
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 2213 "Printer.c"
	}
	goto __finally21;
	__catch21_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 484 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp23_ = e;
#line 484 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp24_ = _tmp23_->message;
#line 484 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:484: Error: %s", _tmp24_);
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 2233 "Printer.c"
	}
	__finally21:
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 472 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return NULL;
#line 2246 "Printer.c"
	}
#line 487 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp25_ = g_strdup ("auto");
#line 487 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp25_;
#line 487 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 487 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 2256 "Printer.c"
}


gchar* printers_printer_get_media_sizes (PrintersPrinter* self, GeeTreeSet* media_sizes) {
	gchar* result = NULL;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	const gchar* _tmp25_;
	gchar* _tmp26_;
	GError * _inner_error_ = NULL;
#line 490 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 490 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (media_sizes != NULL, NULL);
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup (CUPS_MEDIA_SUPPORTED);
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("media-supported-default");
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 491 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 2291 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 494 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 494 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 494 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 494 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 494 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2314 "Printer.c"
			goto __catch22_g_error;
		}
#line 495 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 495 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, CUPS_MEDIA_SUPPORTED, IPP_TAG_ZERO);
#line 495 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 2323 "Printer.c"
		{
			gint i = 0;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 2328 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 2335 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					const gchar* _tmp15_;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 2345 "Printer.c"
						gint _tmp8_;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 2351 "Printer.c"
					}
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 496 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 2365 "Printer.c"
					}
#line 497 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = media_sizes;
#line 497 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 497 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 497 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetString (_tmp13_, _tmp14_, NULL);
#line 497 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, _tmp15_);
#line 2377 "Printer.c"
				}
			}
		}
#line 500 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 500 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "media-supported-default", IPP_TAG_ZERO);
#line 500 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 501 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 501 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 501 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 2393 "Printer.c"
			ipp_attribute_t* _tmp20_;
			const gchar* _tmp21_;
			gchar* _tmp22_;
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetString (_tmp20_, 0, NULL);
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			result = _tmp22_;
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_ippDelete0 (request);
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 502 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return result;
#line 2411 "Printer.c"
		}
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 2415 "Printer.c"
	}
	goto __finally22;
	__catch22_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_;
		const gchar* _tmp24_;
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 505 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp23_ = e;
#line 505 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp24_ = _tmp23_->message;
#line 505 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:505: Error: %s", _tmp24_);
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 2435 "Printer.c"
	}
	__finally22:
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 493 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return NULL;
#line 2448 "Printer.c"
	}
#line 508 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp25_ = gtk_paper_size_get_default ();
#line 508 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp26_ = g_strdup (_tmp25_);
#line 508 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp26_;
#line 508 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 508 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 2460 "Printer.c"
}


void printers_printer_set_default_media_size (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 511 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 511 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 512 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 512 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 2476 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "media-supported-default", &_inner_error_);
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 514 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2507 "Printer.c"
			goto __catch23_g_error;
		}
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "media-supported-default", _tmp12_, 1, &_inner_error_);
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 515 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2538 "Printer.c"
			goto __catch23_g_error;
		}
	}
	goto __finally23;
	__catch23_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 517 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 517 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 517 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:517: %s", _tmp16_);
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 2560 "Printer.c"
	}
	__finally23:
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 513 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 2571 "Printer.c"
	}
}


void printers_printer_set_default_media_source (PrintersPrinter* self, const gchar* new_default) {
	CupsPkHelper* pk_helper = NULL;
	CupsPkHelper* _tmp0_;
	GError * _inner_error_ = NULL;
#line 521 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 521 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (new_default != NULL);
#line 522 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = cups_get_pk_helper ();
#line 522 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	pk_helper = _tmp0_;
#line 2588 "Printer.c"
	{
		CupsPkHelper* _tmp1_;
		cups_dest_t _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		CupsPkHelper* _tmp6_;
		cups_dest_t _tmp7_;
		const gchar* _tmp8_;
		const gchar* _tmp9_;
		gchar* _tmp10_;
		gchar** _tmp11_;
		gchar** _tmp12_;
		gint _tmp12__length1;
		gchar* _tmp13_;
		gchar* _tmp14_;
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = pk_helper;
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = self->dest;
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = _tmp2_.name;
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_delete_option_default (_tmp1_, _tmp3_, "media-source-default-default", &_inner_error_);
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 524 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2619 "Printer.c"
			goto __catch24_g_error;
		}
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = pk_helper;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.name;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = new_default;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = g_new0 (gchar*, 1 + 1);
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_[0] = _tmp10_;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12__length1 = 1;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = cups_pk_helper_printer_add_option_default (_tmp6_, _tmp8_, "media-source-default-default", _tmp12_, 1, &_inner_error_);
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = _tmp13_;
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp14_);
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = (_vala_array_free (_tmp12_, _tmp12__length1, (GDestroyNotify) g_free), NULL);
#line 525 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2650 "Printer.c"
			goto __catch24_g_error;
		}
	}
	goto __finally24;
	__catch24_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_;
		const gchar* _tmp16_;
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 527 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = e;
#line 527 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_->message;
#line 527 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:527: %s", _tmp16_);
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 2672 "Printer.c"
	}
	__finally24:
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 523 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 2683 "Printer.c"
	}
}


gint printers_printer_get_print_qualities (PrintersPrinter* self, GeeTreeSet* print_qualities) {
	gint result = 0;
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar** _tmp2_;
	gint attributes_length1;
	gint _attributes_size_;
	GError * _inner_error_ = NULL;
#line 531 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 531 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (print_qualities != NULL, 0);
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup ("print-quality-supported");
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("print-quality-default");
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_new0 (gchar*, 2 + 1);
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[0] = _tmp0_;
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_[1] = _tmp1_;
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp2_;
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 2;
#line 532 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 2717 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp3_;
		gint _tmp3__length1;
		ipp_t* _tmp4_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp5_;
		ipp_attribute_t* _tmp6_;
		ipp_t* _tmp16_;
		ipp_attribute_t* _tmp17_;
		ipp_attribute_t* _tmp18_;
		gint _tmp19_;
#line 535 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = attributes;
#line 535 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3__length1 = attributes_length1;
#line 535 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = printers_printer_request_attributes (self, _tmp3_, _tmp3__length1, &_inner_error_);
#line 535 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp4_;
#line 535 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2740 "Printer.c"
			goto __catch25_g_error;
		}
#line 536 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = request;
#line 536 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = ippFindAttribute (_tmp5_, "print-quality-supported", IPP_TAG_ZERO);
#line 536 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp6_;
#line 2749 "Printer.c"
		{
			gint i = 0;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			i = 0;
#line 2754 "Printer.c"
			{
				gboolean _tmp7_ = FALSE;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = TRUE;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				while (TRUE) {
#line 2761 "Printer.c"
					gint _tmp9_;
					ipp_attribute_t* _tmp10_;
					gint _tmp11_;
					GeeTreeSet* _tmp12_;
					ipp_attribute_t* _tmp13_;
					gint _tmp14_;
					gint _tmp15_;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!_tmp7_) {
#line 2771 "Printer.c"
						gint _tmp8_;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						_tmp8_ = i;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						i = _tmp8_ + 1;
#line 2777 "Printer.c"
					}
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp7_ = FALSE;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp9_ = i;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp10_ = attr;
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = ippGetCount (_tmp10_);
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					if (!(_tmp9_ < _tmp11_)) {
#line 537 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
						break;
#line 2791 "Printer.c"
					}
#line 538 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = print_qualities;
#line 538 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = attr;
#line 538 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = i;
#line 538 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = ippGetInteger (_tmp13_, _tmp14_);
#line 538 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, (gpointer) ((gintptr) _tmp15_));
#line 2803 "Printer.c"
				}
			}
		}
#line 541 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = request;
#line 541 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp17_ = ippFindAttribute (_tmp16_, "print-quality-default", IPP_TAG_ZERO);
#line 541 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp17_;
#line 542 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp18_ = attr;
#line 542 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp19_ = ippGetCount (_tmp18_);
#line 542 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp19_ > 0) {
#line 2819 "Printer.c"
			gint quality = 0;
			ipp_attribute_t* _tmp20_;
			gint _tmp21_;
			gboolean _tmp22_ = FALSE;
			gint _tmp23_;
#line 543 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp20_ = attr;
#line 543 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp21_ = ippGetInteger (_tmp20_, 0);
#line 543 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			quality = _tmp21_;
#line 544 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp23_ = quality;
#line 544 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (_tmp23_ >= 3) {
#line 2835 "Printer.c"
				gint _tmp24_;
#line 544 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp24_ = quality;
#line 544 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp22_ = _tmp24_ <= 5;
#line 2841 "Printer.c"
			} else {
#line 544 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp22_ = FALSE;
#line 2845 "Printer.c"
			}
#line 544 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (_tmp22_) {
#line 545 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				result = quality;
#line 545 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_ippDelete0 (request);
#line 545 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 545 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				return result;
#line 2857 "Printer.c"
			}
		}
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 2862 "Printer.c"
	}
	goto __finally25;
	__catch25_g_error:
	{
		GError* e = NULL;
		GError* _tmp25_;
		const gchar* _tmp26_;
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 549 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp25_ = e;
#line 549 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp26_ = _tmp25_->message;
#line 549 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:549: Error: %s", _tmp26_);
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 2882 "Printer.c"
	}
	__finally25:
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2887 "Printer.c"
		gint _tmp27_ = 0;
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 534 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return _tmp27_;
#line 2897 "Printer.c"
	}
#line 552 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = 4;
#line 552 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 552 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 2905 "Printer.c"
}


void printers_printer_get_all (PrintersPrinter* self) {
	gchar** attributes = NULL;
	gchar* _tmp0_;
	gchar** _tmp1_;
	gint attributes_length1;
	gint _attributes_size_;
	GError * _inner_error_ = NULL;
#line 555 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 556 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup ("all");
#line 556 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_new0 (gchar*, 1 + 1);
#line 556 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_[0] = _tmp0_;
#line 556 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = _tmp1_;
#line 556 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes_length1 = 1;
#line 556 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_attributes_size_ = attributes_length1;
#line 2930 "Printer.c"
	{
		ipp_t* request = NULL;
		gchar** _tmp2_;
		gint _tmp2__length1;
		ipp_t* _tmp3_;
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp4_;
		ipp_attribute_t* _tmp5_;
#line 558 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = attributes;
#line 558 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2__length1 = attributes_length1;
#line 558 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = printers_printer_request_attributes (self, _tmp2_, _tmp2__length1, &_inner_error_);
#line 558 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		request = _tmp3_;
#line 558 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2949 "Printer.c"
			goto __catch26_g_error;
		}
#line 559 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = request;
#line 559 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = ippFirstAttribute (_tmp4_);
#line 559 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attr = _tmp5_;
#line 560 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		while (TRUE) {
#line 2960 "Printer.c"
			ipp_attribute_t* _tmp6_;
			ipp_attribute_t* _tmp7_;
			const gchar* _tmp8_;
			ipp_t* _tmp9_;
			ipp_attribute_t* _tmp10_;
#line 560 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp6_ = attr;
#line 560 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (!(_tmp6_ != NULL)) {
#line 560 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				break;
#line 2972 "Printer.c"
			}
#line 561 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp7_ = attr;
#line 561 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp8_ = ippGetName (_tmp7_);
#line 561 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_debug ("Printer.vala:561: %s", _tmp8_);
#line 562 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp9_ = request;
#line 562 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp10_ = ippNextAttribute (_tmp9_);
#line 562 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			attr = _tmp10_;
#line 2986 "Printer.c"
		}
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 2990 "Printer.c"
	}
	goto __finally26;
	__catch26_g_error:
	{
		GError* e = NULL;
		GError* _tmp11_;
		const gchar* _tmp12_;
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 565 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = e;
#line 565 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = _tmp11_->message;
#line 565 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:565: Error: %s", _tmp12_);
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 3010 "Printer.c"
	}
	__finally26:
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 557 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 3023 "Printer.c"
	}
#line 555 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 3027 "Printer.c"
}


static ipp_t* printers_printer_request_attributes (PrintersPrinter* self, gchar** attributes, int attributes_length1, GError** error) {
	ipp_t* result = NULL;
	gchar* printer_uri = NULL;
	gchar* _tmp0_;
	gint printer_uri_length1;
	gint _printer_uri_size_;
	gchar* _tmp1_;
	gint _tmp1__length1;
	cups_dest_t _tmp2_;
	const gchar* _tmp3_;
	ipp_t* request = NULL;
	ipp_t* _tmp4_;
	ipp_t* _tmp5_;
	gchar* _tmp6_;
	gint _tmp6__length1;
	ipp_t* _tmp7_;
	gchar** _tmp8_;
	gint _tmp8__length1;
	http_t* _tmp9_;
	ipp_status_t status_code = 0;
	ipp_t* _tmp10_;
	ipp_status_t _tmp11_;
	ipp_status_t _tmp12_;
	GError * _inner_error_ = NULL;
#line 569 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 570 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_new0 (gchar, HTTP_MAX_URI);
#line 570 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printer_uri = _tmp0_;
#line 570 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printer_uri_length1 = HTTP_MAX_URI;
#line 570 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_printer_uri_size_ = printer_uri_length1;
#line 571 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = printer_uri;
#line 571 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = printer_uri_length1;
#line 571 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = self->dest;
#line 571 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp3_ = _tmp2_.name;
#line 571 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	httpAssembleURIf (HTTP_URI_CODING_QUERY, _tmp1_, _tmp1__length1, "ipp", NULL, "localhost", 0, "/printers/%s", _tmp3_);
#line 572 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp4_ = ippNewRequest (IPP_GET_PRINTER_ATTRIBUTES);
#line 572 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	request = _tmp4_;
#line 573 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp5_ = request;
#line 573 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp6_ = printer_uri;
#line 573 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp6__length1 = printer_uri_length1;
#line 573 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	ippAddString (_tmp5_, IPP_TAG_OPERATION, IPP_TAG_URI, "printer-uri", NULL, (const gchar*) _tmp6_);
#line 575 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp7_ = request;
#line 575 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp8_ = attributes;
#line 575 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp8__length1 = attributes_length1;
#line 575 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	ippAddStrings (_tmp7_, IPP_TAG_OPERATION, IPP_TAG_KEYWORD, "requested-attributes", _tmp8__length1, NULL, _tmp8_);
#line 576 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp9_ = CUPS_HTTP_DEFAULT;
#line 576 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	request = cupsDoRequest (_tmp9_, request, "/");
#line 578 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp10_ = request;
#line 578 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp11_ = ippGetStatusCode (_tmp10_);
#line 578 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	status_code = _tmp11_;
#line 579 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp12_ = status_code;
#line 579 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (_tmp12_ <= IPP_OK_CONFLICT) {
#line 580 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		result = request;
#line 580 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printer_uri = (g_free (printer_uri), NULL);
#line 580 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return result;
#line 3115 "Printer.c"
	} else {
		ipp_status_t _tmp13_;
		const gchar* _tmp14_;
		GError* _tmp15_;
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = status_code;
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp14_ = ippErrorString (_tmp13_);
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = g_error_new_literal (G_IO_ERROR, G_IO_ERROR_FAILED, _tmp14_);
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = _tmp15_;
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_propagate_error (error, _inner_error_);
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_ippDelete0 (request);
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printer_uri = (g_free (printer_uri), NULL);
#line 582 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return NULL;
#line 3136 "Printer.c"
	}
#line 569 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_ippDelete0 (request);
#line 569 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printer_uri = (g_free (printer_uri), NULL);
#line 3142 "Printer.c"
}


gboolean printers_printer_get_enabled (PrintersPrinter* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = printers_printer_get_state (self);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = _tmp1_;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (g_strcmp0 (_tmp2_, "5") != 0) {
#line 3159 "Printer.c"
		gboolean _tmp3_;
		gboolean _tmp4_;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = printers_printer_get_is_accepting_jobs (self);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = _tmp3_;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp0_ = _tmp4_;
#line 3168 "Printer.c"
	} else {
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp0_ = FALSE;
#line 3172 "Printer.c"
	}
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp0_;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 3178 "Printer.c"
}


void printers_printer_set_enabled (PrintersPrinter* self, gboolean value) {
	gboolean _tmp0_;
	GError * _inner_error_ = NULL;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = value;
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (!_tmp0_) {
#line 3191 "Printer.c"
		{
			CupsPkHelper* _tmp1_;
			cups_dest_t _tmp2_;
			const gchar* _tmp3_;
			gchar* _tmp4_;
			gchar* _tmp5_;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp1_ = cups_get_pk_helper ();
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp2_ = self->dest;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp3_ = _tmp2_.name;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp4_ = cups_pk_helper_printer_set_enabled (_tmp1_, _tmp3_, FALSE, &_inner_error_);
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp5_ = _tmp4_;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_g_free0 (_tmp5_);
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3212 "Printer.c"
				goto __catch27_g_error;
			}
		}
		goto __finally27;
		__catch27_g_error:
		{
			GError* e = NULL;
			GError* _tmp6_;
			const gchar* _tmp7_;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			e = _inner_error_;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_inner_error_ = NULL;
#line 98 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp6_ = e;
#line 98 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp7_ = _tmp6_->message;
#line 98 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_critical ("Printer.vala:98: %s", _tmp7_);
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_g_error_free0 (e);
#line 3234 "Printer.c"
		}
		__finally27:
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_clear_error (&_inner_error_);
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return;
#line 3245 "Printer.c"
		}
		{
			CupsPkHelper* _tmp8_;
			cups_dest_t _tmp9_;
			const gchar* _tmp10_;
			gchar* _tmp11_;
			gchar* _tmp12_;
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp8_ = cups_get_pk_helper ();
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp9_ = self->dest;
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp10_ = _tmp9_.name;
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp11_ = cups_pk_helper_printer_set_accept_jobs (_tmp8_, _tmp10_, FALSE, "", &_inner_error_);
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp12_ = _tmp11_;
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_g_free0 (_tmp12_);
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3267 "Printer.c"
				goto __catch28_g_error;
			}
		}
		goto __finally28;
		__catch28_g_error:
		{
			GError* e = NULL;
			GError* _tmp13_;
			const gchar* _tmp14_;
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			e = _inner_error_;
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_inner_error_ = NULL;
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp13_ = e;
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp14_ = _tmp13_->message;
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_critical ("Printer.vala:104: %s", _tmp14_);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_g_error_free0 (e);
#line 3289 "Printer.c"
		}
		__finally28:
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_clear_error (&_inner_error_);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return;
#line 3300 "Printer.c"
		}
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_signal_emit (self, printers_printer_signals[PRINTERS_PRINTER_ENABLED_CHANGED_SIGNAL], 0);
#line 3304 "Printer.c"
	} else {
		const gchar* _tmp15_;
		const gchar* _tmp16_;
		gboolean _tmp24_;
		gboolean _tmp25_;
#line 109 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp15_ = printers_printer_get_state (self);
#line 109 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp16_ = _tmp15_;
#line 109 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (g_strcmp0 (_tmp16_, "5") == 0) {
#line 3316 "Printer.c"
			{
				CupsPkHelper* _tmp17_;
				cups_dest_t _tmp18_;
				const gchar* _tmp19_;
				gchar* _tmp20_;
				gchar* _tmp21_;
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp17_ = cups_get_pk_helper ();
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp18_ = self->dest;
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp19_ = _tmp18_.name;
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp20_ = cups_pk_helper_printer_set_enabled (_tmp17_, _tmp19_, TRUE, &_inner_error_);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp21_ = _tmp20_;
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_g_free0 (_tmp21_);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3337 "Printer.c"
					goto __catch29_g_error;
				}
			}
			goto __finally29;
			__catch29_g_error:
			{
				GError* e = NULL;
				GError* _tmp22_;
				const gchar* _tmp23_;
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				e = _inner_error_;
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_inner_error_ = NULL;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp22_ = e;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp23_ = _tmp22_->message;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				g_critical ("Printer.vala:113: %s", _tmp23_);
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_g_error_free0 (e);
#line 3359 "Printer.c"
			}
			__finally29:
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				g_clear_error (&_inner_error_);
#line 110 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				return;
#line 3370 "Printer.c"
			}
		}
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp24_ = printers_printer_get_is_accepting_jobs (self);
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp25_ = _tmp24_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (_tmp25_ == FALSE) {
#line 3379 "Printer.c"
			{
				CupsPkHelper* _tmp26_;
				cups_dest_t _tmp27_;
				const gchar* _tmp28_;
				gchar* _tmp29_;
				gchar* _tmp30_;
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp26_ = cups_get_pk_helper ();
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp27_ = self->dest;
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp28_ = _tmp27_.name;
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp29_ = cups_pk_helper_printer_set_accept_jobs (_tmp26_, _tmp28_, TRUE, "", &_inner_error_);
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp30_ = _tmp29_;
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_g_free0 (_tmp30_);
#line 119 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3400 "Printer.c"
					goto __catch30_g_error;
				}
			}
			goto __finally30;
			__catch30_g_error:
			{
				GError* e = NULL;
				GError* _tmp31_;
				const gchar* _tmp32_;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				e = _inner_error_;
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_inner_error_ = NULL;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp31_ = e;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp32_ = _tmp31_->message;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				g_critical ("Printer.vala:121: %s", _tmp32_);
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_g_error_free0 (e);
#line 3422 "Printer.c"
			}
			__finally30:
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				g_clear_error (&_inner_error_);
#line 118 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				return;
#line 3433 "Printer.c"
			}
		}
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_signal_emit (self, printers_printer_signals[PRINTERS_PRINTER_ENABLED_CHANGED_SIGNAL], 0);
#line 3438 "Printer.c"
	}
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_notify ((GObject *) self, "enabled");
#line 3442 "Printer.c"
}


static gboolean cups_destination_get_is_default (cups_dest_t* self) {
	gboolean result;
	gint _tmp0_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp0_ = (*self).is_default;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	result = _tmp0_ == 1;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	return result;
#line 3457 "Printer.c"
}


static void cups_destination_set_is_default (cups_dest_t* self, gboolean value) {
	gint _tmp0_ = 0;
	gboolean _tmp1_;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	g_return_if_fail (self != NULL);
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	_tmp1_ = value;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	if (_tmp1_) {
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
		_tmp0_ = 1;
#line 3472 "Printer.c"
	} else {
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
		_tmp0_ = 0;
#line 3476 "Printer.c"
	}
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/vapi/cups.vapi"
	(*self).is_default = _tmp0_;
#line 3480 "Printer.c"
}


gboolean printers_printer_get_is_default (PrintersPrinter* self) {
	gboolean result;
	cups_dest_t _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = cups_destination_get_is_default (&_tmp0_);
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = _tmp1_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 3501 "Printer.c"
}


void printers_printer_set_is_default (PrintersPrinter* self, gboolean value) {
	gboolean _tmp0_;
	GError * _inner_error_ = NULL;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = value;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (_tmp0_ == TRUE) {
#line 3514 "Printer.c"
		{
			CupsPkHelper* _tmp1_;
			cups_dest_t _tmp2_;
			const gchar* _tmp3_;
			gchar* _tmp4_;
			gchar* _tmp5_;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp1_ = cups_get_pk_helper ();
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp2_ = self->dest;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp3_ = _tmp2_.name;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp4_ = cups_pk_helper_printer_set_default (_tmp1_, _tmp3_, &_inner_error_);
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp5_ = _tmp4_;
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_g_free0 (_tmp5_);
#line 138 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3535 "Printer.c"
				goto __catch31_g_error;
			}
#line 139 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_signal_emit (self, printers_printer_signals[PRINTERS_PRINTER_DEFAULT_CHANGED_SIGNAL], 0);
#line 3540 "Printer.c"
		}
		goto __finally31;
		__catch31_g_error:
		{
			GError* e = NULL;
			GError* _tmp6_;
			const gchar* _tmp7_;
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			e = _inner_error_;
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_inner_error_ = NULL;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp6_ = e;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp7_ = _tmp6_->message;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_critical ("Printer.vala:141: %s", _tmp7_);
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_g_error_free0 (e);
#line 3560 "Printer.c"
		}
		__finally31:
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			g_clear_error (&_inner_error_);
#line 137 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			return;
#line 3571 "Printer.c"
		}
	}
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_notify ((GObject *) self, "is-default");
#line 3576 "Printer.c"
}


const gchar* printers_printer_get_auth_info_required (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("auth-info-required", _tmp1__length1, _tmp1_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 3600 "Printer.c"
}


const gchar* printers_printer_get_info (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 161 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-info", _tmp1__length1, _tmp1_);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 3624 "Printer.c"
}


void printers_printer_set_info (PrintersPrinter* self, const gchar* value) {
	GError * _inner_error_ = NULL;
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 3632 "Printer.c"
	{
		CupsPkHelper* _tmp0_;
		cups_dest_t _tmp1_;
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		const gchar* _tmp6_;
		cups_dest_t _tmp7_;
		cups_option_t* _tmp8_;
		gint _tmp8__length1;
		gint _tmp9_;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = self->dest;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = _tmp1_.name;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = value;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_set_info (_tmp0_, _tmp2_, _tmp3_, &_inner_error_);
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3661 "Printer.c"
			goto __catch32_g_error;
		}
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = value;
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.options;
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8__length1 = _tmp7_.num_options;
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = cupsAddOption ("printer-info", _tmp6_, _tmp8__length1, &self->dest.options);
#line 167 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		self->dest.num_options = _tmp9_;
#line 3676 "Printer.c"
	}
	goto __finally32;
	__catch32_g_error:
	{
		GError* e = NULL;
		GError* _tmp10_;
		const gchar* _tmp11_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = e;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = _tmp10_->message;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:169: %s", _tmp11_);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 3696 "Printer.c"
	}
	__finally32:
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 3707 "Printer.c"
	}
#line 164 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_notify ((GObject *) self, "info");
#line 3711 "Printer.c"
}


static gboolean bool_parse (const gchar* str) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
#line 44 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 45 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 45 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (g_strcmp0 (_tmp0_, "true") == 0) {
#line 46 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = TRUE;
#line 46 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 3728 "Printer.c"
	} else {
#line 48 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = FALSE;
#line 48 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 3734 "Printer.c"
	}
}


gboolean printers_printer_get_is_accepting_jobs (PrintersPrinter* self) {
	gboolean result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
	gboolean _tmp3_;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-is-accepting-jobs", _tmp1__length1, _tmp1_);
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp3_ = bool_parse (_tmp2_);
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp3_;
#line 179 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 3762 "Printer.c"
}


static gchar* bool_to_string (gboolean self) {
	gchar* result = NULL;
#line 37 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (self) {
#line 3770 "Printer.c"
		gchar* _tmp0_;
#line 38 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = g_strdup ("true");
#line 38 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp0_;
#line 38 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 3778 "Printer.c"
	} else {
		gchar* _tmp1_;
#line 40 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = g_strdup ("false");
#line 40 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp1_;
#line 40 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 3787 "Printer.c"
	}
}


void printers_printer_set_is_accepting_jobs (PrintersPrinter* self, gboolean value) {
	GError * _inner_error_ = NULL;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 3796 "Printer.c"
	{
		CupsPkHelper* _tmp0_;
		cups_dest_t _tmp1_;
		const gchar* _tmp2_;
		gboolean _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gboolean _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		cups_dest_t _tmp9_;
		cups_option_t* _tmp10_;
		gint _tmp10__length1;
		gint _tmp11_;
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = self->dest;
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = _tmp1_.name;
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = value;
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_set_accept_jobs (_tmp0_, _tmp2_, _tmp3_, "", &_inner_error_);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3827 "Printer.c"
			goto __catch33_g_error;
		}
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = value;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = bool_to_string (_tmp6_);
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = self->dest;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = _tmp9_.options;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10__length1 = _tmp9_.num_options;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = cupsAddOption ("printer-is-accepting-jobs", _tmp8_, _tmp10__length1, &self->dest.options);
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		self->dest.num_options = _tmp11_;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp8_);
#line 3848 "Printer.c"
	}
	goto __finally33;
	__catch33_g_error:
	{
		GError* e = NULL;
		GError* _tmp12_;
		const gchar* _tmp13_;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = e;
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = _tmp12_->message;
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:186: %s", _tmp13_);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 3868 "Printer.c"
	}
	__finally33:
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 3879 "Printer.c"
	}
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_notify ((GObject *) self, "is-accepting-jobs");
#line 3883 "Printer.c"
}


gboolean printers_printer_get_is_shared (PrintersPrinter* self) {
	gboolean result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
	gboolean _tmp3_;
#line 195 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-is-shared", _tmp1__length1, _tmp1_);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp3_ = bool_parse (_tmp2_);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp3_;
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 3910 "Printer.c"
}


void printers_printer_set_is_shared (PrintersPrinter* self, gboolean value) {
	GError * _inner_error_ = NULL;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 3918 "Printer.c"
	{
		CupsPkHelper* _tmp0_;
		cups_dest_t _tmp1_;
		const gchar* _tmp2_;
		gboolean _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gboolean _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		cups_dest_t _tmp9_;
		cups_option_t* _tmp10_;
		gint _tmp10__length1;
		gint _tmp11_;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = self->dest;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = _tmp1_.name;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = value;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_set_shared (_tmp0_, _tmp2_, _tmp3_, &_inner_error_);
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3949 "Printer.c"
			goto __catch34_g_error;
		}
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = value;
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = bool_to_string (_tmp6_);
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_;
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = self->dest;
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = _tmp9_.options;
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10__length1 = _tmp9_.num_options;
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = cupsAddOption ("printer-is-shared", _tmp8_, _tmp10__length1, &self->dest.options);
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		self->dest.num_options = _tmp11_;
#line 201 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp8_);
#line 3970 "Printer.c"
	}
	goto __finally34;
	__catch34_g_error:
	{
		GError* e = NULL;
		GError* _tmp12_;
		const gchar* _tmp13_;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 203 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp12_ = e;
#line 203 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp13_ = _tmp12_->message;
#line 203 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:203: %s", _tmp13_);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 3990 "Printer.c"
	}
	__finally34:
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 4001 "Printer.c"
	}
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_notify ((GObject *) self, "is-shared");
#line 4005 "Printer.c"
}


const gchar* printers_printer_get_location (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-location", _tmp1__length1, _tmp1_);
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4029 "Printer.c"
}


void printers_printer_set_location (PrintersPrinter* self, const gchar* value) {
	GError * _inner_error_ = NULL;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_if_fail (self != NULL);
#line 4037 "Printer.c"
	{
		CupsPkHelper* _tmp0_;
		cups_dest_t _tmp1_;
		const gchar* _tmp2_;
		const gchar* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		const gchar* _tmp6_;
		cups_dest_t _tmp7_;
		cups_option_t* _tmp8_;
		gint _tmp8__length1;
		gint _tmp9_;
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp0_ = cups_get_pk_helper ();
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp1_ = self->dest;
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp2_ = _tmp1_.name;
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp3_ = value;
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp4_ = cups_pk_helper_printer_set_location (_tmp0_, _tmp2_, _tmp3_, &_inner_error_);
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp5_ = _tmp4_;
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_free0 (_tmp5_);
#line 217 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 4066 "Printer.c"
			goto __catch35_g_error;
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp6_ = value;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp7_ = self->dest;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8_ = _tmp7_.options;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp8__length1 = _tmp7_.num_options;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp9_ = cupsAddOption ("printer-location", _tmp6_, _tmp8__length1, &self->dest.options);
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		self->dest.num_options = _tmp9_;
#line 4081 "Printer.c"
	}
	goto __finally35;
	__catch35_g_error:
	{
		GError* e = NULL;
		GError* _tmp10_;
		const gchar* _tmp11_;
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		e = _inner_error_;
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_inner_error_ = NULL;
#line 220 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp10_ = e;
#line 220 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_tmp11_ = _tmp10_->message;
#line 220 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("Printer.vala:220: %s", _tmp11_);
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		_g_error_free0 (e);
#line 4101 "Printer.c"
	}
	__finally35:
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_clear_error (&_inner_error_);
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return;
#line 4112 "Printer.c"
	}
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_notify ((GObject *) self, "location");
#line 4116 "Printer.c"
}


const gchar* printers_printer_get_make_and_model (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 229 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-make-and-model", _tmp1__length1, _tmp1_);
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4140 "Printer.c"
}


const gchar* printers_printer_get_state (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 238 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-state", _tmp1__length1, _tmp1_);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4164 "Printer.c"
}


const gchar* printers_printer_get_state_change_time (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-state-change-time", _tmp1__length1, _tmp1_);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4188 "Printer.c"
}


const gchar* printers_printer_get_state_reasons (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 256 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 257 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 257 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 257 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 257 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-state-reasons", _tmp1__length1, _tmp1_);
#line 257 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 257 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4212 "Printer.c"
}


const gchar* printers_printer_get_state_reasons_localized (PrintersPrinter* self) {
	const gchar* result;
	const gchar* reason = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp19_;
	const gchar* _tmp20_;
#line 262 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 263 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = printers_printer_get_state_reasons (self);
#line 263 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_;
#line 263 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	reason = _tmp1_;
#line 4231 "Printer.c"
	{
		gint i = 0;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		i = 0;
#line 4236 "Printer.c"
		{
			gboolean _tmp2_ = FALSE;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			_tmp2_ = TRUE;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
			while (TRUE) {
#line 4243 "Printer.c"
				gint _tmp4_;
				gchar** _tmp5_;
				gint _tmp5__length1;
				const gchar* _tmp6_;
				gchar** _tmp7_;
				gint _tmp7__length1;
				gint _tmp8_;
				const gchar* _tmp9_;
				gboolean _tmp10_;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				if (!_tmp2_) {
#line 4255 "Printer.c"
					gint _tmp3_;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp3_ = i;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					i = _tmp3_ + 1;
#line 4261 "Printer.c"
				}
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp2_ = FALSE;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp4_ = i;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp5_ = printers_printer_reasons;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp5__length1 = printers_printer_reasons_length1;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				if (!(_tmp4_ < _tmp5__length1)) {
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					break;
#line 4275 "Printer.c"
				}
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp6_ = reason;
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7_ = printers_printer_reasons;
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp7__length1 = printers_printer_reasons_length1;
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp8_ = i;
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp9_ = _tmp7_[_tmp8_];
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				_tmp10_ = string_contains (_tmp6_, _tmp9_);
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
				if (_tmp10_) {
#line 4291 "Printer.c"
					gchar** _tmp11_;
					gint _tmp11__length1;
					gint _tmp12_;
					const gchar* _tmp13_;
					gchar* _tmp14_;
					gchar* _tmp15_;
					gint _tmp16_;
					gint _tmp17_;
					const gchar* _tmp18_;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11_ = printers_printer_statuses;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp11__length1 = printers_printer_statuses_length1;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp12_ = i;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp13_ = _tmp11_[_tmp12_];
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp14_ = g_strconcat ("printer state" "\004", _tmp13_, NULL);
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp15_ = _tmp14_;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp16_ = strlen ("printer state");
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp17_ = _tmp16_;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_tmp18_ = g_dpgettext (BUILD_GETTEXT_PACKAGE, _tmp15_, (gsize) (_tmp17_ + 1));
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					_g_free0 (_tmp15_);
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					result = _tmp18_;
#line 266 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
					return result;
#line 4325 "Printer.c"
				}
			}
		}
	}
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp19_ = reason;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	if (g_strcmp0 (_tmp19_, "none") == 0) {
#line 271 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		result = _ ("Ready");
#line 271 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		return result;
#line 4338 "Printer.c"
	}
#line 274 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp20_ = reason;
#line 274 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp20_;
#line 274 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4346 "Printer.c"
}


const gchar* printers_printer_get_printer_type (PrintersPrinter* self) {
	const gchar* result;
	cups_dest_t _tmp0_;
	cups_option_t* _tmp1_;
	gint _tmp1__length1;
	const gchar* _tmp2_;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = self->dest;
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = _tmp0_.options;
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1__length1 = _tmp0_.num_options;
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = cupsGetOption ("printer-type", _tmp1__length1, _tmp1_);
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	result = _tmp2_;
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	return result;
#line 4370 "Printer.c"
}


static void printers_printer_class_init (PrintersPrinterClass * klass) {
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	gchar* _tmp15_;
	gchar** _tmp16_;
	gchar* _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	gchar* _tmp20_;
	gchar* _tmp21_;
	gchar* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_;
	gchar* _tmp25_;
	gchar* _tmp26_;
	gchar* _tmp27_;
	gchar* _tmp28_;
	gchar* _tmp29_;
	gchar* _tmp30_;
	gchar* _tmp31_;
	gchar* _tmp32_;
	gchar** _tmp33_;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_printers_printer_get_property;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_printers_printer_set_property;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_printer_finalize;
#line 4417 "Printer.c"
	/**************
	     * Properties *
	     **************/
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_ENABLED, g_param_spec_boolean ("enabled", "enabled", "enabled", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_IS_DEFAULT, g_param_spec_boolean ("is-default", "is-default", "is-default", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 4425 "Printer.c"
	/**
	     * The type of authentication required for printing to this destination:
	     * "none", "username,password", "domain,username,password", or "negotiate" (Kerberos)
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_AUTH_INFO_REQUIRED, g_param_spec_string ("auth-info-required", "auth-info-required", "auth-info-required", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 4432 "Printer.c"
	/**
	     * The human-readable description of the destination such as "My Laser Printer".
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_INFO, g_param_spec_string ("info", "info", "info", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 4438 "Printer.c"
	/**
	     * "true" if the destination is accepting new jobs, "false" if not.
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_IS_ACCEPTING_JOBS, g_param_spec_boolean ("is-accepting-jobs", "is-accepting-jobs", "is-accepting-jobs", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 4444 "Printer.c"
	/**
	     * "true" if the destination is being shared with other computers, "false" if not.
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_IS_SHARED, g_param_spec_boolean ("is-shared", "is-shared", "is-shared", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 4450 "Printer.c"
	/**
	     * The human-readable location of the destination such as "Lab 4".
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_LOCATION, g_param_spec_string ("location", "location", "location", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 4456 "Printer.c"
	/**
	     * The human-readable make and model of the destination such as "HP LaserJet 4000 Series".
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_MAKE_AND_MODEL, g_param_spec_string ("make-and-model", "make-and-model", "make-and-model", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 4462 "Printer.c"
	/**
	     * "3" if the destination is idle, "4" if the destination is printing a job, and "5" if the destination is stopped.
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_STATE, g_param_spec_string ("state", "state", "state", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 4468 "Printer.c"
	/**
	     * The UNIX time when the destination entered the current state.
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_STATE_CHANGE_TIME, g_param_spec_string ("state-change-time", "state-change-time", "state-change-time", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 4474 "Printer.c"
	/**
	     * Additional comma-delimited state keywords for the destination such as "media-tray-empty-error" and "toner-low-warning".
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_STATE_REASONS, g_param_spec_string ("state-reasons", "state-reasons", "state-reasons", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_STATE_REASONS_LOCALIZED, g_param_spec_string ("state-reasons-localized", "state-reasons-localized", "state-reasons-localized", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 4482 "Printer.c"
	/**
	     * The cups_printer_t value associated with the destination.
	     */
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), PRINTERS_PRINTER_PRINTER_TYPE, g_param_spec_string ("printer-type", "printer-type", "printer-type", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 4488 "Printer.c"
	/***********
	     * Signals *
	     ***********/
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_signals[PRINTERS_PRINTER_ENABLED_CHANGED_SIGNAL] = g_signal_new ("enabled_changed", PRINTERS_TYPE_PRINTER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_signals[PRINTERS_PRINTER_DEFAULT_CHANGED_SIGNAL] = g_signal_new ("default_changed", PRINTERS_TYPE_PRINTER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_signals[PRINTERS_PRINTER_DELETED_SIGNAL] = g_signal_new ("deleted", PRINTERS_TYPE_PRINTER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp0_ = g_strdup ("toner-low");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp1_ = g_strdup ("toner-empty");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp2_ = g_strdup ("developer-low");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp3_ = g_strdup ("developer-empty");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp4_ = g_strdup ("marker-supply-low");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp5_ = g_strdup ("marker-supply-empty");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp6_ = g_strdup ("cover-open");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp7_ = g_strdup ("door-open");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp8_ = g_strdup ("media-low");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp9_ = g_strdup ("media-empty");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp10_ = g_strdup ("offline");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp11_ = g_strdup ("paused");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp12_ = g_strdup ("marker-waste-almost-full");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp13_ = g_strdup ("marker-waste-full");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp14_ = g_strdup ("opc-near-eol");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp15_ = g_strdup ("opc-life-over");
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_ = g_new0 (gchar*, 16 + 1);
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[0] = _tmp0_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[1] = _tmp1_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[2] = _tmp2_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[3] = _tmp3_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[4] = _tmp4_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[5] = _tmp5_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[6] = _tmp6_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[7] = _tmp7_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[8] = _tmp8_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[9] = _tmp9_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[10] = _tmp10_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[11] = _tmp11_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[12] = _tmp12_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[13] = _tmp13_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[14] = _tmp14_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp16_[15] = _tmp15_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_reasons = _tmp16_;
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_reasons_length1 = 16;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp17_ = g_strdup (NC_ ("printer state", "Low on toner"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp18_ = g_strdup (NC_ ("printer state", "Out of toner"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp19_ = g_strdup (NC_ ("printer state", "Low on developer"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp20_ = g_strdup (NC_ ("printer state", "Out of developer"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp21_ = g_strdup (NC_ ("printer state", "Low on a marker supply"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp22_ = g_strdup (NC_ ("printer state", "Out of a marker supply"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp23_ = g_strdup (NC_ ("printer state", "Open cover"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp24_ = g_strdup (NC_ ("printer state", "Open door"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp25_ = g_strdup (NC_ ("printer state", "Low on paper"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp26_ = g_strdup (NC_ ("printer state", "Out of paper"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp27_ = g_strdup (NC_ ("printer state", "Offline"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp28_ = g_strdup (NC_ ("printer state", "Stopped"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp29_ = g_strdup (NC_ ("printer state", "Waste receptacle almost full"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp30_ = g_strdup (NC_ ("printer state", "Waste receptacle full"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp31_ = g_strdup (NC_ ("printer state", "The optical photo conductor is near end of life"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp32_ = g_strdup (NC_ ("printer state", "The optical photo conductor is no longer functioning"));
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_ = g_new0 (gchar*, 16 + 1);
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[0] = _tmp17_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[1] = _tmp18_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[2] = _tmp19_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[3] = _tmp20_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[4] = _tmp21_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[5] = _tmp22_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[6] = _tmp23_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[7] = _tmp24_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[8] = _tmp25_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[9] = _tmp26_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[10] = _tmp27_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[11] = _tmp28_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[12] = _tmp29_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[13] = _tmp30_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[14] = _tmp31_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	_tmp33_[15] = _tmp32_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_statuses = _tmp33_;
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	printers_printer_statuses_length1 = 16;
#line 4638 "Printer.c"
}


static void printers_printer_instance_init (PrintersPrinter * self) {
}


static void printers_printer_finalize (GObject * obj) {
	PrintersPrinter * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_TYPE_PRINTER, PrintersPrinter);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	G_OBJECT_CLASS (printers_printer_parent_class)->finalize (obj);
#line 4652 "Printer.c"
}


GType printers_printer_get_type (void) {
	static volatile gsize printers_printer_type_id__volatile = 0;
	if (g_once_init_enter (&printers_printer_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersPrinterClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_printer_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersPrinter), 0, (GInstanceInitFunc) printers_printer_instance_init, NULL };
		GType printers_printer_type_id;
		printers_printer_type_id = g_type_register_static (G_TYPE_OBJECT, "PrintersPrinter", &g_define_type_info, 0);
		g_once_init_leave (&printers_printer_type_id__volatile, printers_printer_type_id);
	}
	return printers_printer_type_id__volatile;
}


static void _vala_printers_printer_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	PrintersPrinter * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PRINTERS_TYPE_PRINTER, PrintersPrinter);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	switch (property_id) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_ENABLED:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_boolean (value, printers_printer_get_enabled (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_IS_DEFAULT:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_boolean (value, printers_printer_get_is_default (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_AUTH_INFO_REQUIRED:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_auth_info_required (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_INFO:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_info (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_IS_ACCEPTING_JOBS:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_boolean (value, printers_printer_get_is_accepting_jobs (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_IS_SHARED:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_boolean (value, printers_printer_get_is_shared (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_LOCATION:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_location (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_MAKE_AND_MODEL:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_make_and_model (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_STATE:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_state (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_STATE_CHANGE_TIME:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_state_change_time (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_STATE_REASONS:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_state_reasons (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_STATE_REASONS_LOCALIZED:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_state_reasons_localized (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_PRINTER_TYPE:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		g_value_set_string (value, printers_printer_get_printer_type (self));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 4751 "Printer.c"
		default:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 4757 "Printer.c"
	}
}


static void _vala_printers_printer_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	PrintersPrinter * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, PRINTERS_TYPE_PRINTER, PrintersPrinter);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
	switch (property_id) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_ENABLED:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printers_printer_set_enabled (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_IS_DEFAULT:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printers_printer_set_is_default (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_INFO:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printers_printer_set_info (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_IS_ACCEPTING_JOBS:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printers_printer_set_is_accepting_jobs (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_IS_SHARED:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printers_printer_set_is_shared (self, g_value_get_boolean (value));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		case PRINTERS_PRINTER_LOCATION:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		printers_printer_set_location (self, g_value_get_string (value));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 4803 "Printer.c"
		default:
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/Objects/Printer.vala"
		break;
#line 4809 "Printer.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



