/* OptionsPage.c generated by valac 0.36.3, the Vala compiler
 * generated from OptionsPage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <granite.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <cups/cups.h>


#define PRINTERS_TYPE_OPTIONS_PAGE (printers_options_page_get_type ())
#define PRINTERS_OPTIONS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPage))
#define PRINTERS_OPTIONS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPageClass))
#define PRINTERS_IS_OPTIONS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_OPTIONS_PAGE))
#define PRINTERS_IS_OPTIONS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_OPTIONS_PAGE))
#define PRINTERS_OPTIONS_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPageClass))

typedef struct _PrintersOptionsPage PrintersOptionsPage;
typedef struct _PrintersOptionsPageClass PrintersOptionsPageClass;
typedef struct _PrintersOptionsPagePrivate PrintersOptionsPagePrivate;

#define PRINTERS_TYPE_PRINTER (printers_printer_get_type ())
#define PRINTERS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinter))
#define PRINTERS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))
#define PRINTERS_IS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_PRINTER))
#define PRINTERS_IS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_PRINTER))
#define PRINTERS_PRINTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))

typedef struct _PrintersPrinter PrintersPrinter;
typedef struct _PrintersPrinterClass PrintersPrinterClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block12Data Block12Data;
typedef struct _Block13Data Block13Data;
typedef struct _Block14Data Block14Data;
#define _gtk_paper_size_free0(var) ((var == NULL) ? NULL : (var = (gtk_paper_size_free (var), NULL)))
typedef struct _Block15Data Block15Data;
typedef struct _Block16Data Block16Data;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block17Data Block17Data;

struct _PrintersOptionsPage {
	GtkGrid parent_instance;
	PrintersOptionsPagePrivate * priv;
};

struct _PrintersOptionsPageClass {
	GtkGridClass parent_class;
};

struct _PrintersOptionsPagePrivate {
	PrintersPrinter* printer;
	gint row_index;
};

struct _Block12Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkSwitch* two_switch;
};

struct _Block13Data {
	int _ref_count_;
	Block12Data * _data12_;
	GraniteWidgetsModeButton* two_mode;
};

struct _Block14Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block15Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block16Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block17Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};


static gpointer printers_options_page_parent_class = NULL;

GType printers_options_page_get_type (void) G_GNUC_CONST;
GType printers_printer_get_type (void) G_GNUC_CONST;
#define PRINTERS_OPTIONS_PAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPagePrivate))
enum  {
	PRINTERS_OPTIONS_PAGE_DUMMY_PROPERTY
};
PrintersOptionsPage* printers_options_page_new (PrintersPrinter* printer);
PrintersOptionsPage* printers_options_page_construct (GType object_type, PrintersPrinter* printer);
static void printers_options_page_build_pages_per_sheet (PrintersOptionsPage* self);
static void printers_options_page_build_two_sided (PrintersOptionsPage* self);
static void printers_options_page_build_orientation (PrintersOptionsPage* self);
static void printers_options_page_build_page_size (PrintersOptionsPage* self);
static void printers_options_page_build_output_bins (PrintersOptionsPage* self);
static void printers_options_page_build_print_color_mode (PrintersOptionsPage* self);
static void printers_options_page_build_print_quality (PrintersOptionsPage* self);
static void printers_options_page_build_media_source (PrintersOptionsPage* self);
void printers_printer_get_all (PrintersPrinter* self);
gint printers_printer_get_pages_per_sheet (PrintersPrinter* self, GeeTreeSet* pages_per_sheet);
static void ___lambda28_ (PrintersOptionsPage* self, GtkWidget* w);
void printers_printer_set_default_pages (PrintersPrinter* self, const gchar* new_default);
static void ____lambda28__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender, GtkWidget* widget, gpointer self);
gchar* printers_printer_get_sides (PrintersPrinter* self, GeeTreeSet* sides);
static Block12Data* block12_data_ref (Block12Data* _data12_);
static void block12_data_unref (void * _userdata_);
static Block13Data* block13_data_ref (Block13Data* _data13_);
static void block13_data_unref (void * _userdata_);
static void ____lambda29_ (Block13Data* _data13_);
void printers_printer_set_default_side (PrintersPrinter* self, const gchar* new_default);
static void _____lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void ____lambda30_ (Block13Data* _data13_);
static void _____lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void ____lambda31_ (Block12Data* _data12_);
static void _____lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
gint printers_printer_get_orientations (PrintersPrinter* self, GeeTreeSet* orientations);
static Block14Data* block14_data_ref (Block14Data* _data14_);
static void block14_data_unref (void * _userdata_);
static void ___lambda32_ (Block14Data* _data14_);
void printers_printer_set_default_orientation (PrintersPrinter* self, const gchar* new_default);
static void ____lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gchar* printers_printer_get_media_sizes (PrintersPrinter* self, GeeTreeSet* media_sizes);
static void ___lambda33_ (PrintersOptionsPage* self);
static void ____lambda33__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gchar* printers_printer_get_print_color_modes (PrintersPrinter* self, GeeTreeSet* print_color_modes);
static Block15Data* block15_data_ref (Block15Data* _data15_);
static void block15_data_unref (void * _userdata_);
static void ___lambda35_ (Block15Data* _data15_);
void printers_printer_set_default_print_color_mode (PrintersPrinter* self, const gchar* new_default);
static void ____lambda35__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gchar* printers_printer_get_output_bins (PrintersPrinter* self, GeeTreeSet* output_bins);
static Block16Data* block16_data_ref (Block16Data* _data16_);
static void block16_data_unref (void * _userdata_);
static void ___lambda34_ (Block16Data* _data16_);
void printers_printer_set_default_output_bin (PrintersPrinter* self, const gchar* new_default);
static void ____lambda34__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gint printers_printer_get_print_qualities (PrintersPrinter* self, GeeTreeSet* print_qualities);
gchar* printers_printer_get_media_sources (PrintersPrinter* self, GeeTreeSet* media_sources);
static Block17Data* block17_data_ref (Block17Data* _data17_);
static void block17_data_unref (void * _userdata_);
static void ___lambda36_ (Block17Data* _data17_);
void printers_printer_set_default_media_source (PrintersPrinter* self, const gchar* new_default);
static void ____lambda36__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void printers_options_page_finalize (GObject * obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 192 "OptionsPage.c"
}


PrintersOptionsPage* printers_options_page_construct (GType object_type, PrintersPrinter* printer) {
	PrintersOptionsPage * self = NULL;
	PrintersPrinter* _tmp0_;
	PrintersPrinter* _tmp1_;
	GtkGrid* expand_left = NULL;
	GtkGrid* _tmp2_;
	GtkGrid* expand_right = NULL;
	GtkGrid* _tmp3_;
	PrintersPrinter* _tmp4_;
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_val_if_fail (printer != NULL, NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = (PrintersOptionsPage*) g_object_new (object_type, NULL);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = printer;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (self->priv->printer);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self->priv->printer = _tmp1_;
#line 29 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 30 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_set ((GtkWidget*) self, "margin", 12, NULL);
#line 31 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_ref_sink (_tmp2_);
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	expand_left = _tmp2_;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) expand_left, TRUE);
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = (GtkGrid*) gtk_grid_new ();
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_ref_sink (_tmp3_);
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	expand_right = _tmp3_;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) expand_right, TRUE);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) expand_left, 0, 0, 1, 1);
#line 39 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) expand_right, 3, 0, 1, 1);
#line 40 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_pages_per_sheet (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_two_sided (self);
#line 42 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_orientation (self);
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_page_size (self);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_output_bins (self);
#line 45 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_print_color_mode (self);
#line 46 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_print_quality (self);
#line 47 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_media_source (self);
#line 48 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = printer;
#line 48 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_get_all (_tmp4_);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (expand_right);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (expand_left);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return self;
#line 271 "OptionsPage.c"
}


PrintersOptionsPage* printers_options_page_new (PrintersPrinter* printer) {
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return printers_options_page_construct (PRINTERS_TYPE_OPTIONS_PAGE, printer);
#line 278 "OptionsPage.c"
}


static void ___lambda28_ (PrintersOptionsPage* self, GtkWidget* w) {
	GtkLabel* label = NULL;
	GtkWidget* _tmp0_;
	GtkLabel* _tmp1_;
	PrintersPrinter* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (w != NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = w;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_label_get_type ()) ? ((GtkLabel*) _tmp0_) : NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	label = _tmp1_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = self->priv->printer;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = gtk_label_get_label (label);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = _tmp3_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_pages (_tmp2_, _tmp4_);
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (label);
#line 307 "OptionsPage.c"
}


static void ____lambda28__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender, GtkWidget* widget, gpointer self) {
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda28_ ((PrintersOptionsPage*) self, widget);
#line 314 "OptionsPage.c"
}


static void printers_options_page_build_pages_per_sheet (PrintersOptionsPage* self) {
	GeeTreeSet* pages_per_sheet = NULL;
	GeeTreeSet* _tmp0_;
	gint default_page = 0;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gint _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	pages_per_sheet = _tmp0_;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = pages_per_sheet;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_pages_per_sheet (_tmp1_, _tmp2_);
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_page = _tmp3_;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = pages_per_sheet;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 350 "OptionsPage.c"
		GraniteWidgetsModeButton* box = NULL;
		GraniteWidgetsModeButton* _tmp7_;
		GraniteWidgetsModeButton* _tmp24_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp25_;
		GtkLabel* _tmp26_;
		GtkLabel* _tmp27_;
		gint _tmp28_;
		GraniteWidgetsModeButton* _tmp29_;
		gint _tmp30_;
		gint _tmp31_;
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = granite_widgets_mode_button_new ();
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		box = _tmp7_;
#line 368 "OptionsPage.c"
		{
			GeeIterator* _page_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = pages_per_sheet;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_page_it = _tmp9_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 381 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gint page = 0;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				gint index = 0;
				GraniteWidgetsModeButton* _tmp14_;
				gint _tmp15_;
				gchar* _tmp16_;
				gchar* _tmp17_;
				gint _tmp18_;
				gint _tmp19_;
				gint _tmp20_;
				gint _tmp21_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _page_it;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 404 "OptionsPage.c"
				}
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _page_it;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				page = (gint) ((gintptr) _tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = box;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = page;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp16_ = g_strdup_printf ("%d", _tmp15_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = _tmp16_;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp18_ = granite_widgets_mode_button_append_text (_tmp14_, _tmp17_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp19_ = _tmp18_;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (_tmp17_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				index = _tmp19_;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp20_ = page;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp21_ = default_page;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp20_ == _tmp21_) {
#line 434 "OptionsPage.c"
					GraniteWidgetsModeButton* _tmp22_;
					gint _tmp23_;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					_tmp22_ = box;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					_tmp23_ = index;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					granite_widgets_mode_button_set_selected (_tmp22_, _tmp23_);
#line 443 "OptionsPage.c"
				}
			}
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_page_it);
#line 448 "OptionsPage.c"
		}
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp24_ = box;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_object (_tmp24_, "mode-changed", (GCallback) ____lambda28__granite_widgets_mode_button_mode_changed, self, 0);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp25_ = (GtkLabel*) gtk_label_new (_ ("Pages per side:"));
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp25_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp25_;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp26_ = label;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp27_ = label;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp28_ = self->priv->row_index;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp27_, 1, _tmp28_, 1, 1);
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp29_ = box;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = self->priv->row_index;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp29_, 2, _tmp30_, 1, 1);
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = self->priv->row_index;
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp31_ + 1;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (box);
#line 484 "OptionsPage.c"
	}
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (pages_per_sheet);
#line 488 "OptionsPage.c"
}


static Block12Data* block12_data_ref (Block12Data* _data12_) {
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data12_->_ref_count_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data12_;
#line 497 "OptionsPage.c"
}


static void block12_data_unref (void * _userdata_) {
	Block12Data* _data12_;
	_data12_ = (Block12Data*) _userdata_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data12_->_ref_count_)) {
#line 506 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data12_->self;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data12_->two_switch);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block12Data, _data12_);
#line 516 "OptionsPage.c"
	}
}


static Block13Data* block13_data_ref (Block13Data* _data13_) {
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data13_->_ref_count_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data13_;
#line 526 "OptionsPage.c"
}


static void block13_data_unref (void * _userdata_) {
	Block13Data* _data13_;
	_data13_ = (Block13Data*) _userdata_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data13_->_ref_count_)) {
#line 535 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data13_->_data12_->self;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data13_->two_mode);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block12_data_unref (_data13_->_data12_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data13_->_data12_ = NULL;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block13Data, _data13_);
#line 547 "OptionsPage.c"
	}
}


static void ____lambda29_ (Block13Data* _data13_) {
	Block12Data* _data12_;
	PrintersOptionsPage* self;
	GraniteWidgetsModeButton* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_data12_ = _data13_->_data12_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data12_->self;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = _data13_->two_mode;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = granite_widgets_mode_button_get_selected (_tmp0_);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp2_ == 0) {
#line 570 "OptionsPage.c"
		PrintersPrinter* _tmp3_;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp3_ = self->priv->printer;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp3_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 576 "OptionsPage.c"
	} else {
		PrintersPrinter* _tmp4_;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp4_ = self->priv->printer;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp4_, CUPS_SIDES_TWO_SIDED_LANDSCAPE);
#line 583 "OptionsPage.c"
	}
}


static void _____lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	____lambda29_ (self);
#line 591 "OptionsPage.c"
}


static void ____lambda30_ (Block13Data* _data13_) {
	Block12Data* _data12_;
	PrintersOptionsPage* self;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_data12_ = _data13_->_data12_;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data12_->self;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = _data12_->two_switch;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp2_) {
#line 613 "OptionsPage.c"
		GraniteWidgetsModeButton* _tmp3_;
		gint _tmp4_;
		gint _tmp5_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp3_ = _data13_->two_mode;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp4_ = granite_widgets_mode_button_get_selected (_tmp3_);
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp5_ = _tmp4_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		if (_tmp5_ == 0) {
#line 625 "OptionsPage.c"
			PrintersPrinter* _tmp6_;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp6_ = self->priv->printer;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			printers_printer_set_default_side (_tmp6_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 631 "OptionsPage.c"
		} else {
			PrintersPrinter* _tmp7_;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp7_ = self->priv->printer;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			printers_printer_set_default_side (_tmp7_, CUPS_SIDES_TWO_SIDED_LANDSCAPE);
#line 638 "OptionsPage.c"
		}
	} else {
		PrintersPrinter* _tmp8_;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp8_ = self->priv->printer;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp8_, CUPS_SIDES_ONE_SIDED);
#line 646 "OptionsPage.c"
	}
}


static void _____lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	____lambda30_ (self);
#line 654 "OptionsPage.c"
}


static void ____lambda31_ (Block12Data* _data12_) {
	PrintersOptionsPage* self;
	GtkSwitch* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data12_->self;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = _data12_->two_switch;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp2_) {
#line 673 "OptionsPage.c"
		PrintersPrinter* _tmp3_;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp3_ = self->priv->printer;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp3_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 679 "OptionsPage.c"
	} else {
		PrintersPrinter* _tmp4_;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp4_ = self->priv->printer;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp4_, CUPS_SIDES_ONE_SIDED);
#line 686 "OptionsPage.c"
	}
}


static void _____lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	____lambda31_ (self);
#line 694 "OptionsPage.c"
}


static void printers_options_page_build_two_sided (PrintersOptionsPage* self) {
	GeeTreeSet* sides = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_side = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	sides = _tmp0_;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = sides;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_sides (_tmp1_, _tmp2_);
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_side = _tmp3_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = sides;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 730 "OptionsPage.c"
		Block12Data* _data12_;
		GtkGrid* grid = NULL;
		GtkGrid* _tmp7_;
		GtkGrid* _tmp8_;
		GtkGrid* _tmp9_;
		GtkSwitch* _tmp10_;
		GtkGrid* switch_grid = NULL;
		GtkGrid* _tmp11_;
		GtkGrid* _tmp12_;
		GtkSwitch* _tmp13_;
		GtkGrid* _tmp14_;
		GtkGrid* _tmp15_;
		GtkGrid* _tmp16_;
		GeeTreeSet* _tmp17_;
		gint _tmp18_;
		gint _tmp19_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp42_;
		GtkLabel* _tmp43_;
		GtkLabel* _tmp44_;
		gint _tmp45_;
		GtkGrid* _tmp46_;
		gint _tmp47_;
		gint _tmp48_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_ = g_slice_new0 (Block12Data);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_->_ref_count_ = 1;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_->self = g_object_ref (self);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkGrid*) gtk_grid_new ();
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		grid = _tmp7_;
#line 81 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp8_ = grid;
#line 81 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_set_column_spacing (_tmp8_, 12);
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp9_ = grid;
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_orientable_set_orientation ((GtkOrientable*) _tmp9_, GTK_ORIENTATION_HORIZONTAL);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp10_ = (GtkSwitch*) gtk_switch_new ();
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp10_);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_->two_switch = _tmp10_;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp11_ = (GtkGrid*) gtk_grid_new ();
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp11_);
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		switch_grid = _tmp11_;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp12_ = switch_grid;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp13_ = _data12_->two_switch;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp14_ = switch_grid;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp14_, GTK_ALIGN_CENTER);
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp15_ = grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp16_ = switch_grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_container_add ((GtkContainer*) _tmp15_, (GtkWidget*) _tmp16_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp17_ = sides;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp18_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp17_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp19_ = _tmp18_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		if (_tmp19_ > 2) {
#line 811 "OptionsPage.c"
			Block13Data* _data13_;
			GraniteWidgetsModeButton* _tmp20_;
			GraniteWidgetsModeButton* _tmp21_;
			GtkSwitch* _tmp22_;
			GraniteWidgetsModeButton* _tmp23_;
			GtkGrid* _tmp24_;
			GraniteWidgetsModeButton* _tmp25_;
			GraniteWidgetsModeButton* _tmp26_;
			GraniteWidgetsModeButton* _tmp27_;
			GraniteWidgetsModeButton* _tmp28_;
			const gchar* _tmp29_;
			const gchar* _tmp30_;
			GQuark _tmp32_ = 0U;
			GraniteWidgetsModeButton* _tmp39_;
			GtkSwitch* _tmp40_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_ = g_slice_new0 (Block13Data);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_->_ref_count_ = 1;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_->_data12_ = block12_data_ref (_data12_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp20_ = granite_widgets_mode_button_new ();
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_object_ref_sink (_tmp20_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_->two_mode = _tmp20_;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp21_ = _data13_->two_mode;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			gtk_widget_set_hexpand ((GtkWidget*) _tmp21_, TRUE);
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp22_ = _data12_->two_switch;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp23_ = _data13_->two_mode;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_object_bind_property_with_closures ((GObject*) _tmp22_, "active", (GObject*) _tmp23_, "sensitive", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp24_ = grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp25_ = _data13_->two_mode;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp26_ = _data13_->two_mode;
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			granite_widgets_mode_button_append_text (_tmp26_, g_dgettext ("gtk30", "Long Edge (Standard)"));
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp27_ = _data13_->two_mode;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			granite_widgets_mode_button_set_selected (_tmp27_, 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp28_ = _data13_->two_mode;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			granite_widgets_mode_button_append_text (_tmp28_, g_dgettext ("gtk30", "Short Edge (Flip)"));
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp29_ = default_side;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp30_ = _tmp29_;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp32_ = (NULL == _tmp30_) ? 0 : g_quark_from_string (_tmp30_);
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			if (_tmp32_ == g_quark_from_string (CUPS_SIDES_TWO_SIDED_PORTRAIT)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (0) {
#line 877 "OptionsPage.c"
					default:
					{
						GraniteWidgetsModeButton* _tmp33_;
						GtkSwitch* _tmp34_;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp33_ = _data13_->two_mode;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						granite_widgets_mode_button_set_selected (_tmp33_, 0);
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp34_ = _data12_->two_switch;
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp34_, TRUE);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 892 "OptionsPage.c"
					}
				}
			} else if (_tmp32_ == g_quark_from_string (CUPS_SIDES_TWO_SIDED_LANDSCAPE)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (0) {
#line 898 "OptionsPage.c"
					default:
					{
						GraniteWidgetsModeButton* _tmp35_;
						GtkSwitch* _tmp36_;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp35_ = _data13_->two_mode;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						granite_widgets_mode_button_set_selected (_tmp35_, 1);
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp36_ = _data12_->two_switch;
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp36_, TRUE);
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 913 "OptionsPage.c"
					}
				}
			} else if (_tmp32_ == g_quark_from_string (CUPS_SIDES_ONE_SIDED)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (0) {
#line 919 "OptionsPage.c"
					default:
					{
						GtkSwitch* _tmp37_;
						GraniteWidgetsModeButton* _tmp38_;
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp37_ = _data12_->two_switch;
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp37_, FALSE);
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp38_ = _data13_->two_mode;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_widget_set_sensitive ((GtkWidget*) _tmp38_, FALSE);
#line 109 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 934 "OptionsPage.c"
					}
				}
			}
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp39_ = _data13_->two_mode;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp39_, "notify::selected", (GCallback) _____lambda29__g_object_notify, block13_data_ref (_data13_), (GClosureNotify) block13_data_unref, 0);
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp40_ = _data12_->two_switch;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp40_, "notify::active", (GCallback) _____lambda30__g_object_notify, block13_data_ref (_data13_), (GClosureNotify) block13_data_unref, 0);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			block13_data_unref (_data13_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_ = NULL;
#line 950 "OptionsPage.c"
		} else {
			GtkSwitch* _tmp41_;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp41_ = _data12_->two_switch;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp41_, "notify::active", (GCallback) _____lambda31__g_object_notify, block12_data_ref (_data12_), (GClosureNotify) block12_data_unref, 0);
#line 957 "OptionsPage.c"
		}
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp42_ = (GtkLabel*) gtk_label_new (_ ("Two-sided:"));
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp42_);
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp42_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp43_ = label;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp43_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp44_ = label;
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp45_ = self->priv->row_index;
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp44_, 1, _tmp45_, 1, 1);
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp46_ = grid;
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp47_ = self->priv->row_index;
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp46_, 2, _tmp47_, 1, 1);
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp48_ = self->priv->row_index;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp48_ + 1;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (switch_grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block12_data_unref (_data12_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_ = NULL;
#line 995 "OptionsPage.c"
	}
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_side);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (sides);
#line 1001 "OptionsPage.c"
}


static Block14Data* block14_data_ref (Block14Data* _data14_) {
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data14_->_ref_count_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data14_;
#line 1010 "OptionsPage.c"
}


static void block14_data_unref (void * _userdata_) {
	Block14Data* _data14_;
	_data14_ = (Block14Data*) _userdata_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data14_->_ref_count_)) {
#line 1019 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data14_->self;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data14_->combobox);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block14Data, _data14_);
#line 1029 "OptionsPage.c"
	}
}


static void ___lambda32_ (Block14Data* _data14_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data14_->self;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data14_->combobox;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_orientation (_tmp0_, _tmp2_);
#line 1049 "OptionsPage.c"
}


static void ____lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda32_ (self);
#line 1056 "OptionsPage.c"
}


static void printers_options_page_build_orientation (PrintersOptionsPage* self) {
	GeeTreeSet* orientations = NULL;
	GeeTreeSet* _tmp0_;
	gint default_orientation = 0;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gint _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	orientations = _tmp0_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = orientations;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_orientations (_tmp1_, _tmp2_);
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_orientation = _tmp3_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = orientations;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1092 "OptionsPage.c"
		Block14Data* _data14_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp27_;
		gint _tmp28_;
		gchar* _tmp29_;
		gchar* _tmp30_;
		GtkComboBoxText* _tmp31_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp32_;
		GtkLabel* _tmp33_;
		GtkLabel* _tmp34_;
		gint _tmp35_;
		GtkComboBoxText* _tmp36_;
		gint _tmp37_;
		gint _tmp38_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_ = g_slice_new0 (Block14Data);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_->_ref_count_ = 1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_->self = g_object_ref (self);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_->combobox = _tmp7_;
#line 1120 "OptionsPage.c"
		{
			GeeIterator* _orientation_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = orientations;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_orientation_it = _tmp9_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 1133 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gint orientation = 0;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				gint _tmp14_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _orientation_it;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1148 "OptionsPage.c"
				}
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _orientation_it;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				orientation = (gint) ((gintptr) _tmp13_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = orientation;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (_tmp14_) {
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 3:
#line 1162 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp15_;
						gchar* _tmp16_;
						gchar* _tmp17_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp15_ = _data14_->combobox;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp16_ = g_strdup_printf ("%d", 3);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp17_ = _tmp16_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp15_, _tmp17_, g_dgettext ("gtk30", "Portrait"));
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp17_);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1179 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 4:
#line 1183 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp18_;
						gchar* _tmp19_;
						gchar* _tmp20_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp18_ = _data14_->combobox;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp19_ = g_strdup_printf ("%d", 4);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp20_ = _tmp19_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp18_, _tmp20_, g_dgettext ("gtk30", "Landscape"));
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp20_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1200 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 5:
#line 1204 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp21_;
						gchar* _tmp22_;
						gchar* _tmp23_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp21_ = _data14_->combobox;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp22_ = g_strdup_printf ("%d", 5);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp23_ = _tmp22_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp21_, _tmp23_, g_dgettext ("gtk30", "Reverse portrait"));
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp23_);
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1221 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 6:
#line 1225 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp24_;
						gchar* _tmp25_;
						gchar* _tmp26_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp24_ = _data14_->combobox;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp25_ = g_strdup_printf ("%d", 6);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp26_ = _tmp25_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp24_, _tmp26_, g_dgettext ("gtk30", "Reverse landscape"));
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp26_);
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1242 "OptionsPage.c"
					}
					default:
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1247 "OptionsPage.c"
				}
			}
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_orientation_it);
#line 1252 "OptionsPage.c"
		}
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp27_ = _data14_->combobox;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp28_ = default_orientation;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp29_ = g_strdup_printf ("%d", _tmp28_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = _tmp29_;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp27_, _tmp30_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_free0 (_tmp30_);
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = _data14_->combobox;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp31_, "changed", (GCallback) ____lambda32__gtk_combo_box_changed, block14_data_ref (_data14_), (GClosureNotify) block14_data_unref, 0);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp32_ = (GtkLabel*) gtk_label_new (_ ("Orientation:"));
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp32_);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp32_;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp33_ = label;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp34_ = label;
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp35_ = self->priv->row_index;
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp34_, 1, _tmp35_, 1, 1);
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp36_ = _data14_->combobox;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp37_ = self->priv->row_index;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp36_, 2, _tmp37_, 1, 1);
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp38_ = self->priv->row_index;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp38_ + 1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block14_data_unref (_data14_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_ = NULL;
#line 1302 "OptionsPage.c"
	}
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (orientations);
#line 1306 "OptionsPage.c"
}


static void ___lambda33_ (PrintersOptionsPage* self) {
}


static void ____lambda33__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda33_ ((PrintersOptionsPage*) self);
#line 1317 "OptionsPage.c"
}


static void printers_options_page_build_page_size (PrintersOptionsPage* self) {
	GeeTreeSet* media_sizes = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_media_source = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	media_sizes = _tmp0_;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = media_sizes;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_media_sizes (_tmp1_, _tmp2_);
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_media_source = _tmp3_;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = media_sizes;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1353 "OptionsPage.c"
		GtkComboBoxText* combobox = NULL;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp21_;
		const gchar* _tmp22_;
		GtkComboBoxText* _tmp23_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp24_;
		GtkLabel* _tmp25_;
		GtkLabel* _tmp26_;
		gint _tmp27_;
		GtkComboBoxText* _tmp28_;
		gint _tmp29_;
		gint _tmp30_;
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		combobox = _tmp7_;
#line 1373 "OptionsPage.c"
		{
			GeeIterator* _media_size_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = media_sizes;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_media_size_it = _tmp9_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 1386 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gchar* media_size = NULL;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				GtkPaperSize* papersize = NULL;
				const gchar* _tmp14_;
				GtkPaperSize* _tmp15_;
				GtkComboBoxText* _tmp16_;
				GtkPaperSize* _tmp17_;
				const gchar* _tmp18_;
				GtkPaperSize* _tmp19_;
				const gchar* _tmp20_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _media_size_it;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1408 "OptionsPage.c"
				}
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _media_size_it;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				media_size = (gchar*) _tmp13_;
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = media_size;
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = gtk_paper_size_new (_tmp14_);
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				papersize = _tmp15_;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp16_ = combobox;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = papersize;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp18_ = gtk_paper_size_get_name (_tmp17_);
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp19_ = papersize;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp20_ = gtk_paper_size_get_display_name (_tmp19_);
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				gtk_combo_box_text_append (_tmp16_, _tmp18_, _tmp20_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_gtk_paper_size_free0 (papersize);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (media_size);
#line 1438 "OptionsPage.c"
			}
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_media_size_it);
#line 1442 "OptionsPage.c"
		}
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp21_ = combobox;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp22_ = default_media_source;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp21_, _tmp22_);
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp23_ = combobox;
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_object ((GtkComboBox*) _tmp23_, "changed", (GCallback) ____lambda33__gtk_combo_box_changed, self, 0);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp24_ = (GtkLabel*) gtk_label_new (_ ("Media Size:"));
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp24_);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp24_;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp25_ = label;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp25_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp26_ = label;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp27_ = self->priv->row_index;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp26_, 1, _tmp27_, 1, 1);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp28_ = combobox;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp29_ = self->priv->row_index;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp28_, 2, _tmp29_, 1, 1);
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = self->priv->row_index;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp30_ + 1;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (combobox);
#line 1484 "OptionsPage.c"
	}
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_media_source);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (media_sizes);
#line 1490 "OptionsPage.c"
}


static Block15Data* block15_data_ref (Block15Data* _data15_) {
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data15_->_ref_count_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data15_;
#line 1499 "OptionsPage.c"
}


static void block15_data_unref (void * _userdata_) {
	Block15Data* _data15_;
	_data15_ = (Block15Data*) _userdata_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data15_->_ref_count_)) {
#line 1508 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data15_->self;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data15_->combobox);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block15Data, _data15_);
#line 1518 "OptionsPage.c"
	}
}


static void ___lambda35_ (Block15Data* _data15_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data15_->self;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data15_->combobox;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_print_color_mode (_tmp0_, _tmp2_);
#line 1538 "OptionsPage.c"
}


static void ____lambda35__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda35_ (self);
#line 1545 "OptionsPage.c"
}


static void printers_options_page_build_print_color_mode (PrintersOptionsPage* self) {
	GeeTreeSet* print_color_modes = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_color_mode = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 205 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 205 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	print_color_modes = _tmp0_;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = print_color_modes;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_print_color_modes (_tmp1_, _tmp2_);
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_color_mode = _tmp3_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = print_color_modes;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1581 "OptionsPage.c"
		Block15Data* _data15_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp32_;
		const gchar* _tmp33_;
		GtkComboBoxText* _tmp34_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp35_;
		GtkLabel* _tmp36_;
		GtkLabel* _tmp37_;
		gint _tmp38_;
		GtkComboBoxText* _tmp39_;
		gint _tmp40_;
		gint _tmp41_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_ = g_slice_new0 (Block15Data);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_->_ref_count_ = 1;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_->self = g_object_ref (self);
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_->combobox = _tmp7_;
#line 1607 "OptionsPage.c"
		{
			GeeIterator* _print_color_mode_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = print_color_modes;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_print_color_mode_it = _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 1620 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gchar* print_color_mode = NULL;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				const gchar* _tmp14_;
				const gchar* _tmp15_;
				GQuark _tmp17_ = 0U;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label0 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label1 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label2 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label3 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label4 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label5 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label6 = 0;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _print_color_mode_it;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1651 "OptionsPage.c"
				}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _print_color_mode_it;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				print_color_mode = (gchar*) _tmp13_;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = print_color_mode;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("auto")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1669 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp18_;
							const gchar* _tmp19_;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp18_ = _data15_->combobox;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp19_ = print_color_mode;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp18_, _tmp19_, _ ("Automatic"));
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1682 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("bi-level")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1688 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp20_;
							const gchar* _tmp21_;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp20_ = _data15_->combobox;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp21_ = print_color_mode;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp20_, _tmp21_, _ ("One Color"));
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1701 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("color")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1707 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp22_;
							const gchar* _tmp23_;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp22_ = _data15_->combobox;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp23_ = print_color_mode;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp22_, _tmp23_, _ ("Color"));
#line 219 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1720 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("highlight")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1726 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp24_;
							const gchar* _tmp25_;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp24_ = _data15_->combobox;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp25_ = print_color_mode;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp24_, _tmp25_, _ ("One Color + Black"));
#line 222 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1739 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("monochrome")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1745 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp26_;
							const gchar* _tmp27_;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp26_ = _data15_->combobox;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp27_ = print_color_mode;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp26_, _tmp27_, _ ("Greyscale"));
#line 225 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1758 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("process-bi-level")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1764 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp28_;
							const gchar* _tmp29_;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp28_ = _data15_->combobox;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp29_ = print_color_mode;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp28_, _tmp29_, _ ("Processed Color"));
#line 228 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1777 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("process-monochrome")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1783 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp30_;
							const gchar* _tmp31_;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp30_ = _data15_->combobox;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp31_ = print_color_mode;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp30_, _tmp31_, _ ("Processed Greyscale"));
#line 231 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1796 "OptionsPage.c"
						}
					}
				}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (print_color_mode);
#line 1802 "OptionsPage.c"
			}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_print_color_mode_it);
#line 1806 "OptionsPage.c"
		}
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp32_ = _data15_->combobox;
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp33_ = default_color_mode;
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp32_, _tmp33_);
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp34_ = _data15_->combobox;
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp34_, "changed", (GCallback) ____lambda35__gtk_combo_box_changed, block15_data_ref (_data15_), (GClosureNotify) block15_data_unref, 0);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp35_ = (GtkLabel*) gtk_label_new (_ ("Color mode:"));
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp35_);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp35_;
#line 240 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp36_ = label;
#line 240 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp37_ = label;
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp38_ = self->priv->row_index;
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp37_, 1, _tmp38_, 1, 1);
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp39_ = _data15_->combobox;
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp40_ = self->priv->row_index;
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp39_, 2, _tmp40_, 1, 1);
#line 243 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp41_ = self->priv->row_index;
#line 243 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp41_ + 1;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block15_data_unref (_data15_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_ = NULL;
#line 1850 "OptionsPage.c"
	}
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_color_mode);
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (print_color_modes);
#line 1856 "OptionsPage.c"
}


static Block16Data* block16_data_ref (Block16Data* _data16_) {
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data16_->_ref_count_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data16_;
#line 1865 "OptionsPage.c"
}


static void block16_data_unref (void * _userdata_) {
	Block16Data* _data16_;
	_data16_ = (Block16Data*) _userdata_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data16_->_ref_count_)) {
#line 1874 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data16_->self;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data16_->combobox);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block16Data, _data16_);
#line 1884 "OptionsPage.c"
	}
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1403 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1404 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	return result;
#line 1905 "OptionsPage.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1407 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 1924 "OptionsPage.c"
	} else {
		const gchar* _tmp2_;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp2_ = old;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp1_ = (*((gchar*) _tmp2_)) == '\0';
#line 1931 "OptionsPage.c"
	}
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp1_) {
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 1937 "OptionsPage.c"
	} else {
		const gchar* _tmp3_;
		const gchar* _tmp4_;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp3_ = old;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp4_ = replacement;
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (_tmp3_, _tmp4_) == 0;
#line 1947 "OptionsPage.c"
	}
#line 1408 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 1951 "OptionsPage.c"
		gchar* _tmp5_;
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp5_ = g_strdup (self);
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp5_;
#line 1409 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 1959 "OptionsPage.c"
	}
	{
		GRegex* regex = NULL;
		const gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		GRegex* _tmp9_;
		GRegex* _tmp10_;
		gchar* _tmp11_ = NULL;
		GRegex* _tmp12_;
		const gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp6_ = old;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp7_ = g_regex_escape_string (_tmp6_, -1);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp8_ = _tmp7_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp9_ = g_regex_new (_tmp8_, 0, 0, &_inner_error_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp10_ = _tmp9_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_free0 (_tmp8_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		regex = _tmp10_;
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1991 "OptionsPage.c"
				goto __catch4_g_regex_error;
			}
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1412 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return NULL;
#line 2000 "OptionsPage.c"
		}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp12_ = regex;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp13_ = replacement;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp14_ = g_regex_replace_literal (_tmp12_, self, (gssize) -1, 0, _tmp13_, 0, &_inner_error_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = _tmp14_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2016 "OptionsPage.c"
				goto __catch4_g_regex_error;
			}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
			return NULL;
#line 2027 "OptionsPage.c"
		}
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp15_ = _tmp11_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_tmp11_ = NULL;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		result = _tmp15_;
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_free0 (_tmp11_);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1413 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return result;
#line 2041 "OptionsPage.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1415 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2055 "OptionsPage.c"
	}
	__finally4:
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1411 "/usr/share/vala-0.36/vapi/glib-2.0.vapi"
		return NULL;
#line 2066 "OptionsPage.c"
	}
}


static void ___lambda34_ (Block16Data* _data16_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data16_->self;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data16_->combobox;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_output_bin (_tmp0_, _tmp2_);
#line 2086 "OptionsPage.c"
}


static void ____lambda34__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda34_ (self);
#line 2093 "OptionsPage.c"
}


static void printers_options_page_build_output_bins (PrintersOptionsPage* self) {
	GeeTreeSet* output_bins = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_output_bin = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	output_bins = _tmp0_;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = output_bins;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_output_bins (_tmp1_, _tmp2_);
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_output_bin = _tmp3_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = output_bins;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 2129 "OptionsPage.c"
		Block16Data* _data16_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp81_;
		const gchar* _tmp82_;
		GtkComboBoxText* _tmp83_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp84_;
		GtkLabel* _tmp85_;
		GtkLabel* _tmp86_;
		gint _tmp87_;
		GtkComboBoxText* _tmp88_;
		gint _tmp89_;
		gint _tmp90_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_ = g_slice_new0 (Block16Data);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_->_ref_count_ = 1;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_->self = g_object_ref (self);
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_->combobox = _tmp7_;
#line 2155 "OptionsPage.c"
		{
			GeeIterator* _output_bin_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = output_bins;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_output_bin_it = _tmp9_;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 2168 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gchar* output_bin = NULL;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				const gchar* _tmp14_;
				const gchar* _tmp15_;
				GQuark _tmp17_ = 0U;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label0 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label1 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label2 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label3 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label4 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label5 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label6 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label7 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label8 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label9 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label10 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label11 = 0;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _output_bin_it;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 2209 "OptionsPage.c"
				}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _output_bin_it;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				output_bin = (gchar*) _tmp13_;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = output_bin;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("top")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2227 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp18_;
							const gchar* _tmp19_;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp18_ = _data16_->combobox;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp19_ = output_bin;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp18_, _tmp19_, g_dgettext ("gtk30", "Top Bin"));
#line 256 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2240 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("middle")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2246 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp20_;
							const gchar* _tmp21_;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp20_ = _data16_->combobox;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp21_ = output_bin;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp20_, _tmp21_, g_dgettext ("gtk30", "Middle Bin"));
#line 259 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2259 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("bottom")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2265 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp22_;
							const gchar* _tmp23_;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp22_ = _data16_->combobox;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp23_ = output_bin;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp22_, _tmp23_, g_dgettext ("gtk30", "Bottom Bin"));
#line 262 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2278 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("side")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2284 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp24_;
							const gchar* _tmp25_;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp24_ = _data16_->combobox;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp25_ = output_bin;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp24_, _tmp25_, g_dgettext ("gtk30", "Side Bin"));
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2297 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("left")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2303 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp26_;
							const gchar* _tmp27_;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp26_ = _data16_->combobox;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp27_ = output_bin;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp26_, _tmp27_, g_dgettext ("gtk30", "Left Bin"));
#line 268 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2316 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("right")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2322 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp28_;
							const gchar* _tmp29_;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp28_ = _data16_->combobox;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp29_ = output_bin;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp28_, _tmp29_, g_dgettext ("gtk30", "Right Bin"));
#line 271 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2335 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("center")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2341 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp30_;
							const gchar* _tmp31_;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp30_ = _data16_->combobox;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp31_ = output_bin;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp30_, _tmp31_, g_dgettext ("gtk30", "Center Bin"));
#line 274 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2354 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label7) ? _tmp16_label7 : (_tmp16_label7 = g_quark_from_static_string ("rear")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2360 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp32_;
							const gchar* _tmp33_;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp32_ = _data16_->combobox;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp33_ = output_bin;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp32_, _tmp33_, g_dgettext ("gtk30", "Rear Bin"));
#line 277 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2373 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label8) ? _tmp16_label8 : (_tmp16_label8 = g_quark_from_static_string ("face-up")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2379 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp34_;
							const gchar* _tmp35_;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp34_ = _data16_->combobox;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp35_ = output_bin;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp34_, _tmp35_, g_dgettext ("gtk30", "Face Up Bin"));
#line 280 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2392 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label9) ? _tmp16_label9 : (_tmp16_label9 = g_quark_from_static_string ("face-down")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2398 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp36_;
							const gchar* _tmp37_;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp36_ = _data16_->combobox;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp37_ = output_bin;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp36_, _tmp37_, g_dgettext ("gtk30", "Face Down Bin"));
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2411 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label10) ? _tmp16_label10 : (_tmp16_label10 = g_quark_from_static_string ("large-capacity")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2417 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp38_;
							const gchar* _tmp39_;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp38_ = _data16_->combobox;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp39_ = output_bin;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp38_, _tmp39_, g_dgettext ("gtk30", "Large Capacity Bin"));
#line 286 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2430 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label11) ? _tmp16_label11 : (_tmp16_label11 = g_quark_from_static_string ("my-mailbox")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2436 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp40_;
							const gchar* _tmp41_;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp40_ = _data16_->combobox;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp41_ = output_bin;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp40_, _tmp41_, g_dgettext ("gtk30", "My Mailbox"));
#line 289 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2449 "OptionsPage.c"
						}
					}
				} else {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2455 "OptionsPage.c"
						default:
						{
							const gchar* _tmp42_;
							gboolean _tmp43_;
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp42_ = output_bin;
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp43_ = string_contains (_tmp42_, "stacker-");
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							if (_tmp43_) {
#line 2466 "OptionsPage.c"
								gint number = 0;
								const gchar* _tmp44_;
								gchar* _tmp45_;
								gchar* _tmp46_;
								gint _tmp47_;
								gint _tmp48_;
								GtkComboBoxText* _tmp49_;
								const gchar* _tmp50_;
								gint _tmp51_;
								gchar* _tmp52_;
								gchar* _tmp53_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp44_ = output_bin;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp45_ = string_replace (_tmp44_, "stacker-", "");
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp46_ = _tmp45_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp47_ = atoi (_tmp46_);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp48_ = _tmp47_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp46_);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								number = _tmp48_;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp49_ = _data16_->combobox;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp50_ = output_bin;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp51_ = number;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp52_ = g_strdup_printf (g_dgettext ("gtk30", "Stacker %d"), _tmp51_);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp53_ = _tmp52_;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								gtk_combo_box_text_append (_tmp49_, _tmp50_, _tmp53_);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp53_);
#line 2506 "OptionsPage.c"
							} else {
								const gchar* _tmp54_;
								gboolean _tmp55_;
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp54_ = output_bin;
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp55_ = string_contains (_tmp54_, "mailbox-");
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								if (_tmp55_) {
#line 2516 "OptionsPage.c"
									gint number = 0;
									const gchar* _tmp56_;
									gchar* _tmp57_;
									gchar* _tmp58_;
									gint _tmp59_;
									gint _tmp60_;
									GtkComboBoxText* _tmp61_;
									const gchar* _tmp62_;
									gint _tmp63_;
									gchar* _tmp64_;
									gchar* _tmp65_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp56_ = output_bin;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp57_ = string_replace (_tmp56_, "mailbox-", "");
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp58_ = _tmp57_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp59_ = atoi (_tmp58_);
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp60_ = _tmp59_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp58_);
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									number = _tmp60_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp61_ = _data16_->combobox;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp62_ = output_bin;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp63_ = number;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp64_ = g_strdup_printf (g_dgettext ("gtk30", "Mailbox %d"), _tmp63_);
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp65_ = _tmp64_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp61_, _tmp62_, _tmp65_);
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp65_);
#line 2556 "OptionsPage.c"
								} else {
									const gchar* _tmp66_;
									gboolean _tmp67_;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp66_ = output_bin;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp67_ = string_contains (_tmp66_, "tray-");
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									if (_tmp67_) {
#line 2566 "OptionsPage.c"
										gint number = 0;
										const gchar* _tmp68_;
										gchar* _tmp69_;
										gchar* _tmp70_;
										gint _tmp71_;
										gint _tmp72_;
										GtkComboBoxText* _tmp73_;
										const gchar* _tmp74_;
										gint _tmp75_;
										gchar* _tmp76_;
										gchar* _tmp77_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp68_ = output_bin;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp69_ = string_replace (_tmp68_, "tray-", "");
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp70_ = _tmp69_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp71_ = atoi (_tmp70_);
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp72_ = _tmp71_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_g_free0 (_tmp70_);
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										number = _tmp72_;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp73_ = _data16_->combobox;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp74_ = output_bin;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp75_ = number;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp76_ = g_strdup_printf (g_dgettext ("gtk30", "Tray %d"), _tmp75_);
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp77_ = _tmp76_;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										gtk_combo_box_text_append (_tmp73_, _tmp74_, _tmp77_);
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_g_free0 (_tmp77_);
#line 2606 "OptionsPage.c"
									} else {
										GtkComboBoxText* _tmp78_;
										const gchar* _tmp79_;
										const gchar* _tmp80_;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp78_ = _data16_->combobox;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp79_ = output_bin;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp80_ = output_bin;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										gtk_combo_box_text_append (_tmp78_, _tmp79_, _tmp80_);
#line 2619 "OptionsPage.c"
									}
								}
							}
#line 304 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2625 "OptionsPage.c"
						}
					}
				}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (output_bin);
#line 2631 "OptionsPage.c"
			}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_output_bin_it);
#line 2635 "OptionsPage.c"
		}
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp81_ = _data16_->combobox;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp82_ = default_output_bin;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp81_, _tmp82_);
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp83_ = _data16_->combobox;
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp83_, "changed", (GCallback) ____lambda34__gtk_combo_box_changed, block16_data_ref (_data16_), (GClosureNotify) block16_data_unref, 0);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp84_ = (GtkLabel*) gtk_label_new (_ ("Output Tray:"));
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp84_);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp84_;
#line 313 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp85_ = label;
#line 313 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp85_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp86_ = label;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp87_ = self->priv->row_index;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp86_, 1, _tmp87_, 1, 1);
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp88_ = _data16_->combobox;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp89_ = self->priv->row_index;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp88_, 2, _tmp89_, 1, 1);
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp90_ = self->priv->row_index;
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp90_ + 1;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block16_data_unref (_data16_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_ = NULL;
#line 2679 "OptionsPage.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_output_bin);
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (output_bins);
#line 2685 "OptionsPage.c"
}


static void printers_options_page_build_print_quality (PrintersOptionsPage* self) {
	GeeTreeSet* print_qualities = NULL;
	GeeTreeSet* _tmp0_;
	gint default_print_quality = 0;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gint _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 320 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	print_qualities = _tmp0_;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = print_qualities;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_print_qualities (_tmp1_, _tmp2_);
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_print_quality = _tmp3_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = print_qualities;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 2721 "OptionsPage.c"
		GtkComboBoxText* combobox = NULL;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp27_;
		gint _tmp28_;
		gchar* _tmp29_;
		gchar* _tmp30_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp31_;
		GtkLabel* _tmp32_;
		GtkLabel* _tmp33_;
		gint _tmp34_;
		GtkComboBoxText* _tmp35_;
		gint _tmp36_;
		gint _tmp37_;
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		combobox = _tmp7_;
#line 2742 "OptionsPage.c"
		{
			GeeIterator* _print_quality_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = print_qualities;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_print_quality_it = _tmp9_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 2755 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gint print_quality = 0;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				gint _tmp14_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _print_quality_it;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 2770 "OptionsPage.c"
				}
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _print_quality_it;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				print_quality = (gint) ((gintptr) _tmp13_);
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = print_quality;
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (_tmp14_) {
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 3:
#line 2784 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp15_;
						gint _tmp16_;
						gchar* _tmp17_;
						gchar* _tmp18_;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp15_ = combobox;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp16_ = print_quality;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp17_ = g_strdup_printf ("%d", _tmp16_);
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp18_ = _tmp17_;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp15_, _tmp18_, _ ("Draft"));
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp18_);
#line 329 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 2804 "OptionsPage.c"
					}
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 4:
#line 2808 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp19_;
						gint _tmp20_;
						gchar* _tmp21_;
						gchar* _tmp22_;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp19_ = combobox;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp20_ = print_quality;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp21_ = g_strdup_printf ("%d", _tmp20_);
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp22_ = _tmp21_;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp19_, _tmp22_, _ ("Normal"));
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp22_);
#line 332 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 2828 "OptionsPage.c"
					}
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 5:
#line 2832 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp23_;
						gint _tmp24_;
						gchar* _tmp25_;
						gchar* _tmp26_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp23_ = combobox;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp24_ = print_quality;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp25_ = g_strdup_printf ("%d", _tmp24_);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp26_ = _tmp25_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp23_, _tmp26_, _ ("High"));
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp26_);
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 2852 "OptionsPage.c"
					}
					default:
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 2857 "OptionsPage.c"
				}
			}
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_print_quality_it);
#line 2862 "OptionsPage.c"
		}
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp27_ = combobox;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp28_ = default_print_quality;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp29_ = g_strdup_printf ("%d", _tmp28_);
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = _tmp29_;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp27_, _tmp30_);
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_free0 (_tmp30_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = (GtkLabel*) gtk_label_new (_ ("Quality:"));
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp31_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp31_;
#line 341 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp32_ = label;
#line 341 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp32_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp33_ = label;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp34_ = self->priv->row_index;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp33_, 1, _tmp34_, 1, 1);
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp35_ = combobox;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp36_ = self->priv->row_index;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp35_, 2, _tmp36_, 1, 1);
#line 344 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp37_ = self->priv->row_index;
#line 344 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp37_ + 1;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (combobox);
#line 2906 "OptionsPage.c"
	}
#line 320 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (print_qualities);
#line 2910 "OptionsPage.c"
}


static Block17Data* block17_data_ref (Block17Data* _data17_) {
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data17_->_ref_count_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data17_;
#line 2919 "OptionsPage.c"
}


static void block17_data_unref (void * _userdata_) {
	Block17Data* _data17_;
	_data17_ = (Block17Data*) _userdata_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data17_->_ref_count_)) {
#line 2928 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data17_->self;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data17_->combobox);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block17Data, _data17_);
#line 2938 "OptionsPage.c"
	}
}


static void ___lambda36_ (Block17Data* _data17_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_;
	GtkComboBoxText* _tmp1_;
	const gchar* _tmp2_;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data17_->self;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data17_->combobox;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_media_source (_tmp0_, _tmp2_);
#line 2958 "OptionsPage.c"
}


static void ____lambda36__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda36_ (self);
#line 2965 "OptionsPage.c"
}


static void printers_options_page_build_media_source (PrintersOptionsPage* self) {
	GeeTreeSet* media_sources = NULL;
	GeeTreeSet* _tmp0_;
	gchar* default_media_source = NULL;
	PrintersPrinter* _tmp1_;
	GeeTreeSet* _tmp2_;
	gchar* _tmp3_;
	GeeTreeSet* _tmp4_;
	gint _tmp5_;
	gint _tmp6_;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	media_sources = _tmp0_;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = media_sources;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_media_sources (_tmp1_, _tmp2_);
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_media_source = _tmp3_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = media_sources;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 3001 "OptionsPage.c"
		Block17Data* _data17_;
		GtkComboBoxText* _tmp7_;
		GtkComboBoxText* _tmp89_;
		const gchar* _tmp90_;
		GtkComboBoxText* _tmp91_;
		GtkLabel* label = NULL;
		GtkLabel* _tmp92_;
		GtkLabel* _tmp93_;
		GtkLabel* _tmp94_;
		gint _tmp95_;
		GtkComboBoxText* _tmp96_;
		gint _tmp97_;
		gint _tmp98_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_ = g_slice_new0 (Block17Data);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_->_ref_count_ = 1;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_->self = g_object_ref (self);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_->combobox = _tmp7_;
#line 3027 "OptionsPage.c"
		{
			GeeIterator* _media_source_it = NULL;
			GeeTreeSet* _tmp8_;
			GeeIterator* _tmp9_;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = media_sources;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_media_source_it = _tmp9_;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 3040 "OptionsPage.c"
				GeeIterator* _tmp10_;
				gboolean _tmp11_;
				gchar* media_source = NULL;
				GeeIterator* _tmp12_;
				gpointer _tmp13_;
				const gchar* _tmp14_;
				const gchar* _tmp15_;
				GQuark _tmp17_ = 0U;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label0 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label1 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label2 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label3 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label4 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label5 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label6 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label7 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label8 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label9 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label10 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label11 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label12 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label13 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label14 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label15 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label16 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label17 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label18 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label19 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label20 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label21 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label22 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label23 = 0;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _media_source_it;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 3105 "OptionsPage.c"
				}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _media_source_it;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				media_source = (gchar*) _tmp13_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = media_source;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("alloc-paper")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3123 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp18_;
							const gchar* _tmp19_;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp18_ = _data17_->combobox;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp19_ = media_source;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp18_, _tmp19_, _ ("Paper Allocation"));
#line 357 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3136 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("alternate")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3142 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp20_;
							const gchar* _tmp21_;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp20_ = _data17_->combobox;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp21_ = media_source;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp20_, _tmp21_, _ ("Alternate Tray"));
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3155 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("alternate-roll")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3161 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp22_;
							const gchar* _tmp23_;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp22_ = _data17_->combobox;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp23_ = media_source;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp22_, _tmp23_, _ ("Alternate Roll"));
#line 363 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3174 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("auto")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3180 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp24_;
							const gchar* _tmp25_;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp24_ = _data17_->combobox;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp25_ = media_source;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp24_, _tmp25_, _ ("Automatic"));
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3193 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("bottom")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3199 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp26_;
							const gchar* _tmp27_;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp26_ = _data17_->combobox;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp27_ = media_source;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp26_, _tmp27_, _ ("Bottom"));
#line 369 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3212 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("by-pass-tray")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3218 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp28_;
							const gchar* _tmp29_;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp28_ = _data17_->combobox;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp29_ = media_source;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp28_, _tmp29_, _ ("By-pass Tray"));
#line 372 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3231 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("center")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3237 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp30_;
							const gchar* _tmp31_;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp30_ = _data17_->combobox;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp31_ = media_source;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp30_, _tmp31_, _ ("Center"));
#line 375 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3250 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label7) ? _tmp16_label7 : (_tmp16_label7 = g_quark_from_static_string ("continuous")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3256 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp32_;
							const gchar* _tmp33_;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp32_ = _data17_->combobox;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp33_ = media_source;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp32_, _tmp33_, _ ("Continuous Autofeed"));
#line 378 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3269 "OptionsPage.c"
						}
					}
				} else if ((_tmp17_ == ((0 != _tmp16_label8) ? _tmp16_label8 : (_tmp16_label8 = g_quark_from_static_string ("cd")))) || (_tmp17_ == ((0 != _tmp16_label9) ? _tmp16_label9 : (_tmp16_label9 = g_quark_from_static_string ("disk"))))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3275 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp34_;
							const gchar* _tmp35_;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp34_ = _data17_->combobox;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp35_ = media_source;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp34_, _tmp35_, _ ("Disk"));
#line 382 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3288 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label10) ? _tmp16_label10 : (_tmp16_label10 = g_quark_from_static_string ("envelope")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3294 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp36_;
							const gchar* _tmp37_;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp36_ = _data17_->combobox;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp37_ = media_source;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp36_, _tmp37_, _ ("Envelope"));
#line 385 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3307 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label11) ? _tmp16_label11 : (_tmp16_label11 = g_quark_from_static_string ("hagaki")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3313 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp38_;
							const gchar* _tmp39_;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp38_ = _data17_->combobox;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp39_ = media_source;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp38_, _tmp39_, _ ("Hagaki"));
#line 388 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3326 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label12) ? _tmp16_label12 : (_tmp16_label12 = g_quark_from_static_string ("large-capacity")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3332 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp40_;
							const gchar* _tmp41_;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp40_ = _data17_->combobox;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp41_ = media_source;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp40_, _tmp41_, _ ("Large Capacity"));
#line 391 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3345 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label13) ? _tmp16_label13 : (_tmp16_label13 = g_quark_from_static_string ("left")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3351 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp42_;
							const gchar* _tmp43_;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp42_ = _data17_->combobox;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp43_ = media_source;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp42_, _tmp43_, _ ("Left"));
#line 394 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3364 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label14) ? _tmp16_label14 : (_tmp16_label14 = g_quark_from_static_string ("main")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3370 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp44_;
							const gchar* _tmp45_;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp44_ = _data17_->combobox;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp45_ = media_source;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp44_, _tmp45_, _ ("Main Tray"));
#line 397 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3383 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label15) ? _tmp16_label15 : (_tmp16_label15 = g_quark_from_static_string ("main-roll")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3389 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp46_;
							const gchar* _tmp47_;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp46_ = _data17_->combobox;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp47_ = media_source;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp46_, _tmp47_, _ ("Main Roll"));
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3402 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label16) ? _tmp16_label16 : (_tmp16_label16 = g_quark_from_static_string ("manual")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3408 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp48_;
							const gchar* _tmp49_;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp48_ = _data17_->combobox;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp49_ = media_source;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp48_, _tmp49_, _ ("Manual"));
#line 403 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3421 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label17) ? _tmp16_label17 : (_tmp16_label17 = g_quark_from_static_string ("middle")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3427 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp50_;
							const gchar* _tmp51_;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp50_ = _data17_->combobox;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp51_ = media_source;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp50_, _tmp51_, _ ("Middle"));
#line 406 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3440 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label18) ? _tmp16_label18 : (_tmp16_label18 = g_quark_from_static_string ("photo")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3446 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp52_;
							const gchar* _tmp53_;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp52_ = _data17_->combobox;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp53_ = media_source;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp52_, _tmp53_, _ ("Photo"));
#line 409 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3459 "OptionsPage.c"
						}
					}
				} else if ((_tmp17_ == ((0 != _tmp16_label19) ? _tmp16_label19 : (_tmp16_label19 = g_quark_from_static_string ("asf")))) || (_tmp17_ == ((0 != _tmp16_label20) ? _tmp16_label20 : (_tmp16_label20 = g_quark_from_static_string ("rear"))))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3465 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp54_;
							const gchar* _tmp55_;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp54_ = _data17_->combobox;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp55_ = media_source;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp54_, _tmp55_, _ ("Rear"));
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3478 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label21) ? _tmp16_label21 : (_tmp16_label21 = g_quark_from_static_string ("right")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3484 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp56_;
							const gchar* _tmp57_;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp56_ = _data17_->combobox;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp57_ = media_source;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp56_, _tmp57_, _ ("Right"));
#line 416 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3497 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label22) ? _tmp16_label22 : (_tmp16_label22 = g_quark_from_static_string ("side")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3503 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp58_;
							const gchar* _tmp59_;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp58_ = _data17_->combobox;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp59_ = media_source;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp58_, _tmp59_, _ ("Side"));
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3516 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label23) ? _tmp16_label23 : (_tmp16_label23 = g_quark_from_static_string ("top")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3522 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp60_;
							const gchar* _tmp61_;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp60_ = _data17_->combobox;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp61_ = media_source;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp60_, _tmp61_, _ ("Top"));
#line 422 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3535 "OptionsPage.c"
						}
					}
				} else {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3541 "OptionsPage.c"
						default:
						{
							const gchar* _tmp62_;
							gboolean _tmp63_;
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp62_ = media_source;
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp63_ = string_contains (_tmp62_, "roll-");
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							if (_tmp63_) {
#line 3552 "OptionsPage.c"
								gint number = 0;
								const gchar* _tmp64_;
								gchar* _tmp65_;
								gchar* _tmp66_;
								gint _tmp67_;
								gint _tmp68_;
								GtkComboBoxText* _tmp69_;
								const gchar* _tmp70_;
								gint _tmp71_;
								gchar* _tmp72_;
								gchar* _tmp73_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp64_ = media_source;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp65_ = string_replace (_tmp64_, "roll-", "");
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp66_ = _tmp65_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp67_ = atoi (_tmp66_);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp68_ = _tmp67_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp66_);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								number = _tmp68_;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp69_ = _data17_->combobox;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp70_ = media_source;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp71_ = number;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp72_ = g_strdup_printf (_ ("Roll %d"), _tmp71_);
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp73_ = _tmp72_;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								gtk_combo_box_text_append (_tmp69_, _tmp70_, _tmp73_);
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp73_);
#line 3592 "OptionsPage.c"
							} else {
								const gchar* _tmp74_;
								gboolean _tmp75_;
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp74_ = media_source;
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp75_ = string_contains (_tmp74_, "tray-");
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								if (_tmp75_) {
#line 3602 "OptionsPage.c"
									gint number = 0;
									const gchar* _tmp76_;
									gchar* _tmp77_;
									gchar* _tmp78_;
									gint _tmp79_;
									gint _tmp80_;
									GtkComboBoxText* _tmp81_;
									const gchar* _tmp82_;
									gint _tmp83_;
									gchar* _tmp84_;
									gchar* _tmp85_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp76_ = media_source;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp77_ = string_replace (_tmp76_, "tray-", "");
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp78_ = _tmp77_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp79_ = atoi (_tmp78_);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp80_ = _tmp79_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp78_);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									number = _tmp80_;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp81_ = _data17_->combobox;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp82_ = media_source;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp83_ = number;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp84_ = g_strdup_printf (_ ("Tray %d"), _tmp83_);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp85_ = _tmp84_;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp81_, _tmp82_, _tmp85_);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp85_);
#line 3642 "OptionsPage.c"
								} else {
									GtkComboBoxText* _tmp86_;
									const gchar* _tmp87_;
									const gchar* _tmp88_;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp86_ = _data17_->combobox;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp87_ = media_source;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp88_ = media_source;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp86_, _tmp87_, _tmp88_);
#line 3655 "OptionsPage.c"
								}
							}
#line 434 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3660 "OptionsPage.c"
						}
					}
				}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (media_source);
#line 3666 "OptionsPage.c"
			}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_media_source_it);
#line 3670 "OptionsPage.c"
		}
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp89_ = _data17_->combobox;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp90_ = default_media_source;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp89_, _tmp90_);
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp91_ = _data17_->combobox;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp91_, "changed", (GCallback) ____lambda36__gtk_combo_box_changed, block17_data_ref (_data17_), (GClosureNotify) block17_data_unref, 0);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp92_ = (GtkLabel*) gtk_label_new (_ ("Paper Source:"));
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp92_);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp92_;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp93_ = label;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp93_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp94_ = label;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp95_ = self->priv->row_index;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp94_, 1, _tmp95_, 1, 1);
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp96_ = _data17_->combobox;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp97_ = self->priv->row_index;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp96_, 2, _tmp97_, 1, 1);
#line 446 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp98_ = self->priv->row_index;
#line 446 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp98_ + 1;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block17_data_unref (_data17_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_ = NULL;
#line 3714 "OptionsPage.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_media_source);
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (media_sources);
#line 3720 "OptionsPage.c"
}


static void printers_options_page_class_init (PrintersOptionsPageClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_type_class_add_private (klass, sizeof (PrintersOptionsPagePrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_options_page_finalize;
#line 3731 "OptionsPage.c"
}


static void printers_options_page_instance_init (PrintersOptionsPage * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self->priv = PRINTERS_OPTIONS_PAGE_GET_PRIVATE (self);
#line 25 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self->priv->row_index = 0;
#line 3740 "OptionsPage.c"
}


static void printers_options_page_finalize (GObject * obj) {
	PrintersOptionsPage * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPage);
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (self->priv->printer);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	G_OBJECT_CLASS (printers_options_page_parent_class)->finalize (obj);
#line 3752 "OptionsPage.c"
}


GType printers_options_page_get_type (void) {
	static volatile gsize printers_options_page_type_id__volatile = 0;
	if (g_once_init_enter (&printers_options_page_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersOptionsPageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_options_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersOptionsPage), 0, (GInstanceInitFunc) printers_options_page_instance_init, NULL };
		GType printers_options_page_type_id;
		printers_options_page_type_id = g_type_register_static (gtk_grid_get_type (), "PrintersOptionsPage", &g_define_type_info, 0);
		g_once_init_leave (&printers_options_page_type_id__volatile, printers_options_page_type_id);
	}
	return printers_options_page_type_id__volatile;
}



